local domTypes = {
	["gameObject"] = 0,
	["instanceProperty"] = 1,
	["numericProperty"] = 2,
	["customEvent"] = 3,
	["textFrame"] = 4,
	["globalIndicator"] = 5,
	["globalVariable"] = 6,
	["builtinFunction"] = 7
}
local domTree = {
	["platforms"] = {
		["properties"] = {
			["hspeed"] = {
				["_id"] = 9,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["id"] = {
				["_id"] = 10,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["touch"] = {
				["_id"] = 11,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["playerHeight"] = {
				["_id"] = 12,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["playerWidth"] = {
				["_id"] = 13,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["hasPath"] = {
				["_id"] = 14,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["Player"] = {
				["_id"] = 16,
				["_t"] = domTypes.instanceProperty,
				["_co"] = 32
			},
			["flame"] = {
				["_id"] = 18,
				["_t"] = domTypes.instanceProperty,
				["_co"] = 34
			},
			["hasFlame"] = {
				["_id"] = 19,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["CreateFlame"] = {
				[2] = {
					["_id"] = 294,
					["_t"] = domTypes.customEvent
				},
				[0] = {
					["_id"] = 293,
					["_t"] = domTypes.customEvent
				}
			},
			["givespeed"] = {
				[0] = {
					["_id"] = 292,
					["_t"] = domTypes.customEvent
				}
			},
			["correctPlayerPos"] = {
				[1] = {
					["_id"] = 291,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 33,
		["_t"] = domTypes.gameObject
	},
	["player"] = {
		["properties"] = {
			["canJump"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["ground"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["playing"] = {
				["_id"] = 2,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["CurrentPlatform"] = {
				["_id"] = 4,
				["_t"] = domTypes.instanceProperty,
				["_co"] = 33
			},
			["statusBarHeight"] = {
				["_id"] = 5,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["hitbox"] = {
				["_id"] = 7,
				["_t"] = domTypes.instanceProperty,
				["_co"] = 35
			},
			["hitboxXoffset"] = {
				["_id"] = 8,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["hitboxYoffset"] = {
				["_id"] = 9,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["xOffsetOnPlatform"] = {
				["_id"] = 10,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["parachute"] = {
				["_id"] = 12,
				["_t"] = domTypes.instanceProperty,
				["_co"] = 36
			},
			["jumpCounter"] = {
				["_id"] = 13,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["JumpSpeed"] = {
				["_id"] = 14,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["Gravity"] = {
				["_id"] = 15,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["MaxSpeed"] = {
				["_id"] = 16,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["DeltaMaxSpeed"] = {
				["_id"] = 17,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["IsFingerOn"] = {
				["_id"] = 18,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["Disabled"] = {
				["_id"] = 19,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["NextTeleportX"] = {
				["_id"] = 20,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["NextTeleportY"] = {
				["_id"] = 21,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["dx"] = {
				["_id"] = 22,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["dy"] = {
				["_id"] = 23,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["l"] = {
				["_id"] = 24,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["canOpenParachute"] = {
				["_id"] = 25,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["jumpFactor"] = {
				["_id"] = 26,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["sinkSpeed"] = {
				["_id"] = 27,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["k"] = {
				["_id"] = 28,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["LastPlatform"] = {
				["_id"] = 30,
				["_t"] = domTypes.instanceProperty,
				["_co"] = 33
			},
			["currentPlatformID"] = {
				["_id"] = 31,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["EndPlatform"] = {
				["_id"] = 33,
				["_t"] = domTypes.instanceProperty,
				["_co"] = 37
			}
		},
		["customEvents"] = {
			["createHitBox"] = {
				[0] = {
					["_id"] = 290,
					["_t"] = domTypes.customEvent
				}
			},
			["createParachute"] = {
				[0] = {
					["_id"] = 289,
					["_t"] = domTypes.customEvent
				}
			},
			["destroyParachute"] = {
				[0] = {
					["_id"] = 288,
					["_t"] = domTypes.customEvent
				}
			},
			["fall"] = {
				[0] = {
					["_id"] = 287,
					["_t"] = domTypes.customEvent
				}
			},
			["jump"] = {
				[0] = {
					["_id"] = 286,
					["_t"] = domTypes.customEvent
				}
			},
			["BouncerJump"] = {
				[0] = {
					["_id"] = 285,
					["_t"] = domTypes.customEvent
				}
			},
			["BounceJumpRight"] = {
				[0] = {
					["_id"] = 284,
					["_t"] = domTypes.customEvent
				}
			},
			["BounceJumpLeft"] = {
				[0] = {
					["_id"] = 283,
					["_t"] = domTypes.customEvent
				}
			},
			["countJumps"] = {
				[0] = {
					["_id"] = 282,
					["_t"] = domTypes.customEvent
				}
			},
			["land"] = {
				[1] = {
					["_id"] = 281,
					["_t"] = domTypes.customEvent
				}
			},
			["blink"] = {
				[0] = {
					["_id"] = 280,
					["_t"] = domTypes.customEvent
				}
			},
			["moveWithPlatform"] = {
				[2] = {
					["_id"] = 279,
					["_t"] = domTypes.customEvent
				}
			},
			["correctHorPos"] = {
				[1] = {
					["_id"] = 278,
					["_t"] = domTypes.customEvent
				}
			},
			["correctXYPos"] = {
				[0] = {
					["_id"] = 277,
					["_t"] = domTypes.customEvent
				}
			},
			["Teleport"] = {
				[2] = {
					["_id"] = 276,
					["_t"] = domTypes.customEvent
				}
			},
			["TeleportToEnd"] = {
				[0] = {
					["_id"] = 275,
					["_t"] = domTypes.customEvent
				}
			},
			["TeleportBack"] = {
				[0] = {
					["_id"] = 274,
					["_t"] = domTypes.customEvent
				}
			},
			["CanTeleport"] = {
				[0] = {
					["_id"] = 273,
					["_t"] = domTypes.customEvent
				}
			},
			["SinkToMudPlatform"] = {
				[4] = {
					["_id"] = 272,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 32,
		["_t"] = domTypes.gameObject
	},
	["cloudCap"] = {
		["properties"] = {},
		["customEvents"] = {
			["setPosition"] = {
				[0] = {
					["_id"] = 271,
					["_t"] = domTypes.customEvent
				}
			},
			["setSpeed"] = {
				[0] = {
					["_id"] = 270,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 97,
		["_t"] = domTypes.gameObject
	},
	["worldBoxCap"] = {
		["properties"] = {
			["id"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["comingSoon"] = {
				["_id"] = 2,
				["_t"] = domTypes.instanceProperty,
				["_co"] = 141
			}
		},
		["customEvents"] = {
			["move"] = {
				[2] = {
					["_id"] = 269,
					["_t"] = domTypes.customEvent
				}
			},
			["checkComingSoonSign"] = {
				[0] = {
					["_id"] = 268,
					["_t"] = domTypes.customEvent
				}
			},
			["stopComingSoonSign"] = {
				[0] = {
					["_id"] = 267,
					["_t"] = domTypes.customEvent
				}
			},
			["stop"] = {
				[0] = {
					["_id"] = 266,
					["_t"] = domTypes.customEvent
				}
			},
			["onTouch"] = {
				[1] = {
					["_id"] = 265,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 98,
		["_t"] = domTypes.gameObject
	},
	["levelObjectsCap"] = {
		["properties"] = {
			["parts"] = {
				["_id"] = 7,
				["_t"] = domTypes.instanceProperty
			}
		},
		["customEvents"] = {
			["move"] = {
				[2] = {
					["_id"] = 264,
					["_t"] = domTypes.customEvent
				}
			},
			["stop"] = {
				[0] = {
					["_id"] = 263,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 99,
		["_t"] = domTypes.gameObject
	},
	["Crumble"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 100,
		["_t"] = domTypes.gameObject
	},
	["levelManager"] = {
		["properties"] = {
			["offset"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["minutes"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["totalTimeInSec"] = {
				["_id"] = 2,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["createBestTimeMsg"] = {
				["_id"] = 3,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["CreateGUI"] = {
				["_id"] = 4,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["starsShown"] = {
				["_id"] = 5,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["currentStarsForLevel"] = {
				["_id"] = 6,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["previousLevelStarStats"] = {
				["_id"] = 7,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["coinsEarned"] = {
				["_id"] = 8,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["k"] = {
				["_id"] = 9,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["n"] = {
				["_id"] = 10,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["buttons"] = {
				["_id"] = 12,
				["_t"] = domTypes.instanceProperty
			},
			["dialog_parts"] = {
				["_id"] = 14,
				["_t"] = domTypes.instanceProperty
			},
			["coins_gathered"] = {
				["_id"] = 15,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["createRateUsDialog"] = {
				[0] = {
					["_id"] = 262,
					["_t"] = domTypes.customEvent
				}
			},
			["removeRateUsDialogBox"] = {
				[0] = {
					["_id"] = 261,
					["_t"] = domTypes.customEvent
				}
			},
			["removeLevelCompleteScreen"] = {
				[0] = {
					["_id"] = 260,
					["_t"] = domTypes.customEvent
				}
			},
			["initVars"] = {
				[0] = {
					["_id"] = 259,
					["_t"] = domTypes.customEvent
				}
			},
			["determaineSecForStars"] = {
				[0] = {
					["_id"] = 258,
					["_t"] = domTypes.customEvent
				}
			},
			["createSoundMng"] = {
				[0] = {
					["_id"] = 257,
					["_t"] = domTypes.customEvent
				}
			},
			["createBgHills"] = {
				[0] = {
					["_id"] = 256,
					["_t"] = domTypes.customEvent
				}
			},
			["createMenuBtn"] = {
				[0] = {
					["_id"] = 255,
					["_t"] = domTypes.customEvent
				}
			},
			["createTimer"] = {
				[0] = {
					["_id"] = 254,
					["_t"] = domTypes.customEvent
				}
			},
			["createLeveDisplay"] = {
				[0] = {
					["_id"] = 253,
					["_t"] = domTypes.customEvent
				}
			},
			["createDialogBox"] = {
				[0] = {
					["_id"] = 252,
					["_t"] = domTypes.customEvent
				}
			},
			["createMenuDialog"] = {
				[0] = {
					["_id"] = 251,
					["_t"] = domTypes.customEvent
				}
			},
			["RecenterMenu"] = {
				[0] = {
					["_id"] = 250,
					["_t"] = domTypes.customEvent
				}
			},
			["createMenuButtons"] = {
				[0] = {
					["_id"] = 249,
					["_t"] = domTypes.customEvent
				}
			},
			["removeMenuDialogBox"] = {
				[0] = {
					["_id"] = 248,
					["_t"] = domTypes.customEvent
				}
			},
			["ResumeGame"] = {
				[0] = {
					["_id"] = 247,
					["_t"] = domTypes.customEvent
				}
			},
			["show_dialog_parts"] = {
				[1] = {
					["_id"] = 246,
					["_t"] = domTypes.customEvent
				}
			},
			["createAreYouSureDialog"] = {
				[0] = {
					["_id"] = 245,
					["_t"] = domTypes.customEvent
				}
			},
			["removeAreYouSureDialog"] = {
				[0] = {
					["_id"] = 244,
					["_t"] = domTypes.customEvent
				}
			},
			["createExitGameMessage"] = {
				[1] = {
					["_id"] = 243,
					["_t"] = domTypes.customEvent
				}
			},
			["createLevelCompleteDialog"] = {
				[0] = {
					["_id"] = 242,
					["_t"] = domTypes.customEvent
				}
			},
			["HandleBadgesWin"] = {
				[0] = {
					["_id"] = 241,
					["_t"] = domTypes.customEvent
				}
			},
			["storeBestTime"] = {
				[0] = {
					["_id"] = 240,
					["_t"] = domTypes.customEvent
				}
			},
			["displayNewRecordMsg"] = {
				[0] = {
					["_id"] = 239,
					["_t"] = domTypes.customEvent
				}
			},
			["createLevelsCompleteText"] = {
				[0] = {
					["_id"] = 238,
					["_t"] = domTypes.customEvent
				}
			},
			["createLevelCompleteButtons"] = {
				[0] = {
					["_id"] = 237,
					["_t"] = domTypes.customEvent
				}
			},
			["showStars"] = {
				[0] = {
					["_id"] = 236,
					["_t"] = domTypes.customEvent
				}
			},
			["calcStars"] = {
				[0] = {
					["_id"] = 235,
					["_t"] = domTypes.customEvent
				}
			},
			["saveNewStars"] = {
				[0] = {
					["_id"] = 234,
					["_t"] = domTypes.customEvent
				}
			},
			["getPreviousLevelStarts"] = {
				[0] = {
					["_id"] = 233,
					["_t"] = domTypes.customEvent
				}
			},
			["calcCoinsEarned"] = {
				[0] = {
					["_id"] = 232,
					["_t"] = domTypes.customEvent
				}
			},
			["convertMinutesToSeconds"] = {
				[0] = {
					["_id"] = 231,
					["_t"] = domTypes.customEvent
				}
			},
			["createLevelFailedDialog"] = {
				[0] = {
					["_id"] = 230,
					["_t"] = domTypes.customEvent
				}
			},
			["HandleBadgesFail"] = {
				[0] = {
					["_id"] = 229,
					["_t"] = domTypes.customEvent
				}
			},
			["levelFailedText"] = {
				[0] = {
					["_id"] = 228,
					["_t"] = domTypes.customEvent
				}
			},
			["levelFailedButtons"] = {
				[0] = {
					["_id"] = 227,
					["_t"] = domTypes.customEvent
				}
			},
			["createWinDialog"] = {
				[0] = {
					["_id"] = 226,
					["_t"] = domTypes.customEvent
				}
			},
			["winGameText"] = {
				[0] = {
					["_id"] = 225,
					["_t"] = domTypes.customEvent
				}
			},
			["winGameButton"] = {
				[0] = {
					["_id"] = 224,
					["_t"] = domTypes.customEvent
				}
			},
			["JumpBadge"] = {
				[0] = {
					["_id"] = 223,
					["_t"] = domTypes.customEvent
				}
			},
			["FeatherFallBadge"] = {
				[0] = {
					["_id"] = 222,
					["_t"] = domTypes.customEvent
				}
			},
			["JumpJumpJumpBadge"] = {
				[0] = {
					["_id"] = 221,
					["_t"] = domTypes.customEvent
				}
			},
			["iCanRestNowBadge"] = {
				[0] = {
					["_id"] = 220,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 30,
		["_t"] = domTypes.gameObject
	},
	["ShopButton"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 20,
		["_t"] = domTypes.gameObject
	},
	["ShopItem"] = {
		["properties"] = {},
		["customEvents"] = {
			["Leave"] = {
				[0] = {
					["_id"] = 219,
					["_t"] = domTypes.customEvent
				}
			},
			["Enter"] = {
				[0] = {
					["_id"] = 218,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 101,
		["_t"] = domTypes.gameObject
	},
	["GetItButton"] = {
		["properties"] = {
			["Type"] = {
				["_id"] = 5,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["Amount"] = {
				["_id"] = 6,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["Price_1"] = {
				["_id"] = 7,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["Hourglass"] = {
				["_id"] = 8,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["LavaWorld"] = {
				["_id"] = 9,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["Fire"] = {
				["_id"] = 10,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["Potion"] = {
				["_id"] = 11,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 102,
		["_t"] = domTypes.gameObject
	},
	["GenericButton"] = {
		["properties"] = {
			["Pressed"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 21,
		["_t"] = domTypes.gameObject
	},
	["PowerUpButton"] = {
		["properties"] = {
			["Amount"] = {
				["_id"] = 2,
				["_t"] = domTypes.numericProperty,
				["_evId"] = 9
			},
			["Counter"] = {
				["_id"] = 4,
				["_t"] = domTypes.instanceProperty,
				["_co"] = 43
			}
		},
		["customEvents"] = {
			["PlayMagic"] = {
				[0] = {
					["_id"] = 217,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 42,
		["_t"] = domTypes.gameObject
	},
	["Tutorial_Level2"] = {
		["properties"] = {},
		["customEvents"] = {
			["jumpHigher"] = {
				[0] = {
					["_id"] = 216,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 48,
		["_t"] = domTypes.gameObject
	},
	["tutorial_cap"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 54,
		["_t"] = domTypes.gameObject
	},
	["destroy_if_running_on_IOS"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 28,
		["_t"] = domTypes.gameObject
	},
	["FlamesTutorial"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 57,
		["_t"] = domTypes.gameObject
	},
	["PotionTutorial"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 60,
		["_t"] = domTypes.gameObject
	},
	["HourglassTutorial"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 55,
		["_t"] = domTypes.gameObject
	},
	["CoolStuffTutorial"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 59,
		["_t"] = domTypes.gameObject
	},
	["Tutorial_Button"] = {
		["properties"] = {},
		["customEvents"] = {
			["tryThis"] = {
				[0] = {
					["_id"] = 215,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 62,
		["_t"] = domTypes.gameObject
	},
	["BagesHandler"] = {
		["properties"] = {},
		["customEvents"] = {
			["SunTouched"] = {
				[0] = {
					["_id"] = 214,
					["_t"] = domTypes.customEvent
				}
			},
			["PlatformBroke"] = {
				[1] = {
					["_id"] = 213,
					["_t"] = domTypes.customEvent
				}
			},
			["LevelCompleted"] = {
				[1] = {
					["_id"] = 212,
					["_t"] = domTypes.customEvent
				}
			},
			["FairPlay"] = {
				[1] = {
					["_id"] = 211,
					["_t"] = domTypes.customEvent
				}
			},
			["Twins"] = {
				[2] = {
					["_id"] = 210,
					["_t"] = domTypes.customEvent
				}
			},
			["LevelsStreak"] = {
				[2] = {
					["_id"] = 209,
					["_t"] = domTypes.customEvent
				}
			},
			["Dizziness"] = {
				[1] = {
					["_id"] = 208,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 38,
		["_t"] = domTypes.gameObject
	},
	["ShopManager"] = {
		["properties"] = {
			["CurrentItem"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = 8
			},
			["Potion"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["Fire"] = {
				["_id"] = 2,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["LavaWorld"] = {
				["_id"] = 3,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["Hourglass"] = {
				["_id"] = 4,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["MovingSpeed"] = {
				["_id"] = 5,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["SmallBoxMargin"] = {
				["_id"] = 6,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["SmallBoxWidth"] = {
				["_id"] = 7,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["SmallBoxHeight"] = {
				["_id"] = 8,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["in_shop_room"] = {
				["_id"] = 9,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["lava_promo_parts"] = {
				["_id"] = 11,
				["_t"] = domTypes.instanceProperty
			}
		},
		["customEvents"] = {
			["NextItem"] = {
				[0] = {
					["_id"] = 207,
					["_t"] = domTypes.customEvent
				}
			},
			["PrevItem"] = {
				[0] = {
					["_id"] = 206,
					["_t"] = domTypes.customEvent
				}
			},
			["EnterItems"] = {
				[1] = {
					["_id"] = 205,
					["_t"] = domTypes.customEvent
				}
			},
			["CreateLavaWorld"] = {
				[2] = {
					["_id"] = 204,
					["_t"] = domTypes.customEvent
				}
			},
			["CloseLavaWorld_promo"] = {
				[0] = {
					["_id"] = 203,
					["_t"] = domTypes.customEvent
				}
			},
			["CreatBigItem"] = {
				[4] = {
					["_id"] = 202,
					["_t"] = domTypes.customEvent
				}
			},
			["CreateSmallItem"] = {
				[5] = {
					["_id"] = 201,
					["_t"] = domTypes.customEvent
				}
			},
			["CreateOneFire"] = {
				[4] = {
					["_id"] = 200,
					["_t"] = domTypes.customEvent
				}
			},
			["CreateOneHourglass"] = {
				[4] = {
					["_id"] = 199,
					["_t"] = domTypes.customEvent
				}
			},
			["CreateOnePotion"] = {
				[4] = {
					["_id"] = 198,
					["_t"] = domTypes.customEvent
				}
			},
			["CreateFire"] = {
				[0] = {
					["_id"] = 197,
					["_t"] = domTypes.customEvent
				}
			},
			["CreatePotion"] = {
				[0] = {
					["_id"] = 196,
					["_t"] = domTypes.customEvent
				}
			},
			["CreateHourGlass"] = {
				[0] = {
					["_id"] = 195,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 16,
		["_t"] = domTypes.gameObject
	},
	["LavaBGController"] = {
		["properties"] = {
			["thirdPos"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["secondPos"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["firstPos"] = {
				["_id"] = 2,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["posNum"] = {
				["_id"] = 3,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["cloudNum"] = {
				["_id"] = 4,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["firstClouds"] = {
				[0] = {
					["_id"] = 194,
					["_t"] = domTypes.customEvent
				}
			},
			["createClouds"] = {
				[2] = {
					["_id"] = 193,
					["_t"] = domTypes.customEvent
				}
			},
			["randomizeCloud"] = {
				[0] = {
					["_id"] = 192,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 74,
		["_t"] = domTypes.gameObject
	},
	["Level24"] = {
		["properties"] = {
			["Level1"] = {
				["_id"] = 1,
				["_t"] = domTypes.instanceProperty,
				["_co"] = 73
			},
			["Level2"] = {
				["_id"] = 3,
				["_t"] = domTypes.instanceProperty,
				["_co"] = 73
			},
			["Level3"] = {
				["_id"] = 5,
				["_t"] = domTypes.instanceProperty,
				["_co"] = 73
			},
			["Interval"] = {
				["_id"] = 6,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 95,
		["_t"] = domTypes.gameObject
	},
	["tutorial"] = {
		["properties"] = {
			["touchCounter"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["player"] = {
				["_id"] = 2,
				["_t"] = domTypes.instanceProperty,
				["_co"] = 32
			}
		},
		["customEvents"] = {
			["checkLevel"] = {
				[0] = {
					["_id"] = 191,
					["_t"] = domTypes.customEvent
				}
			},
			["tapToJump"] = {
				[0] = {
					["_id"] = 190,
					["_t"] = domTypes.customEvent
				}
			},
			["objective"] = {
				[0] = {
					["_id"] = 189,
					["_t"] = domTypes.customEvent
				}
			},
			["decreaseCount"] = {
				[0] = {
					["_id"] = 188,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 31,
		["_t"] = domTypes.gameObject
	},
	["cloudsCtrl"] = {
		["properties"] = {
			["cloudNum"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["posNum"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["firstPos"] = {
				["_id"] = 2,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["secondPos"] = {
				["_id"] = 3,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["thirdPos"] = {
				["_id"] = 4,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["firstClouds"] = {
				[0] = {
					["_id"] = 187,
					["_t"] = domTypes.customEvent
				}
			},
			["createClouds"] = {
				[2] = {
					["_id"] = 186,
					["_t"] = domTypes.customEvent
				}
			},
			["randomizeCloud"] = {
				[0] = {
					["_id"] = 185,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 12,
		["_t"] = domTypes.gameObject
	},
	["pl_left"] = {
		["properties"] = {
			["Distance"] = {
				["_id"] = 20,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["InitSpeed"] = {
				["_id"] = 21,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["MyAngle"] = {
				["_id"] = 22,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["LastX"] = {
				["_id"] = 23,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["LastY"] = {
				["_id"] = 24,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["hspeed_reversed"] = {
				["_id"] = 25,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["SetSpeed"] = {
				[0] = {
					["_id"] = 184,
					["_t"] = domTypes.customEvent
				}
			},
			["CreateMovingFlame"] = {
				[0] = {
					["_id"] = 183,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 40,
		["_t"] = domTypes.gameObject
	},
	["pl_nom"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 39,
		["_t"] = domTypes.gameObject
	},
	["pl_up"] = {
		["properties"] = {
			["InitSpeed"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["Distance"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 61,
		["_t"] = domTypes.gameObject
	},
	["pl_end"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 37,
		["_t"] = domTypes.gameObject
	},
	["platformBtnBase"] = {
		["properties"] = {
			["id"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["createTop"] = {
				[0] = {
					["_id"] = 182,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 64,
		["_t"] = domTypes.gameObject
	},
	["ovladatelny"] = {
		["properties"] = {
			["on"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["right"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["id"] = {
				["_id"] = 2,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["Speed"] = {
				["_id"] = 3,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["PlatformOn"] = {
				[1] = {
					["_id"] = 181,
					["_t"] = domTypes.customEvent
				}
			},
			["platformOff"] = {
				[1] = {
					["_id"] = 180,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 63,
		["_t"] = domTypes.gameObject
	},
	["directionPlatform"] = {
		["properties"] = {
			["counter"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["Speed"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["PlayerX"] = {
				["_id"] = 2,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["PlayerY"] = {
				["_id"] = 3,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 66,
		["_t"] = domTypes.gameObject
	},
	["wall1"] = {
		["properties"] = {
			["player"] = {
				["_id"] = 1,
				["_t"] = domTypes.instanceProperty,
				["_co"] = 32
			},
			["wallOffset"] = {
				["_id"] = 2,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["aligned"] = {
				["_id"] = 3,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["isPathPlatform"] = {
				["_id"] = 4,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["correctPos"] = {
				[0] = {
					["_id"] = 179,
					["_t"] = domTypes.customEvent
				}
			},
			["setSpeed"] = {
				[1] = {
					["_id"] = 178,
					["_t"] = domTypes.customEvent
				}
			},
			["createTiles"] = {
				[0] = {
					["_id"] = 177,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 71,
		["_t"] = domTypes.gameObject
	},
	["button"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 47,
		["_t"] = domTypes.gameObject
	},
	["Menu"] = {
		["properties"] = {
			["mainMenu"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["worldsMenu"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["levelSelection"] = {
				["_id"] = 2,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["touchStartX"] = {
				["_id"] = 3,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["threshold"] = {
				["_id"] = 4,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["worldInCenter"] = {
				["_id"] = 5,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["numOfWorlds"] = {
				["_id"] = 6,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["worldsMoving"] = {
				["_id"] = 7,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["worldBoxWidth"] = {
				["_id"] = 8,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["worldBoxSpeed"] = {
				["_id"] = 9,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["currentDirection"] = {
				["_id"] = 10,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["RIGHT"] = {
				["_id"] = 11,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["LEFT"] = {
				["_id"] = 12,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["touchStartY"] = {
				["_id"] = 13,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["ButtonsSpace"] = {
				["_id"] = 14,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["FirstButtonYPos"] = {
				["_id"] = 15,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["lava_popup_on"] = {
				["_id"] = 16,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["counter"] = {
				["_id"] = 17,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["buildMainMenu"] = {
				[0] = {
					["_id"] = 176,
					["_t"] = domTypes.customEvent
				}
			},
			["createHeadline"] = {
				[0] = {
					["_id"] = 175,
					["_t"] = domTypes.customEvent
				}
			},
			["createTurtle"] = {
				[0] = {
					["_id"] = 174,
					["_t"] = domTypes.customEvent
				}
			},
			["createButtons"] = {
				[0] = {
					["_id"] = 173,
					["_t"] = domTypes.customEvent
				}
			},
			["createMenuHills"] = {
				[0] = {
					["_id"] = 172,
					["_t"] = domTypes.customEvent
				}
			},
			["handleBackButton"] = {
				[0] = {
					["_id"] = 171,
					["_t"] = domTypes.customEvent
				}
			},
			["removeLevelSelection"] = {
				[0] = {
					["_id"] = 170,
					["_t"] = domTypes.customEvent
				}
			},
			["removeMainMenu"] = {
				[0] = {
					["_id"] = 169,
					["_t"] = domTypes.customEvent
				}
			},
			["createWorldsScreen"] = {
				[0] = {
					["_id"] = 168,
					["_t"] = domTypes.customEvent
				}
			},
			["removeWorldsScreen"] = {
				[0] = {
					["_id"] = 167,
					["_t"] = domTypes.customEvent
				}
			},
			["checkDirection"] = {
				[1] = {
					["_id"] = 166,
					["_t"] = domTypes.customEvent
				}
			},
			["moveWorlds"] = {
				[0] = {
					["_id"] = 165,
					["_t"] = domTypes.customEvent
				}
			},
			["createNewWorldBox"] = {
				[0] = {
					["_id"] = 164,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 11,
		["_t"] = domTypes.gameObject
	},
	["menuHeadline"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 108,
		["_t"] = domTypes.gameObject
	},
	["menuTurtle"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 109,
		["_t"] = domTypes.gameObject
	},
	["levelSelection"] = {
		["properties"] = {
			["rows"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["colums"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["objectWidth"] = {
				["_id"] = 2,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["space"] = {
				["_id"] = 3,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["tableWidth"] = {
				["_id"] = 4,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["tableHeight"] = {
				["_id"] = 5,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["tableX0"] = {
				["_id"] = 6,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["tableY0"] = {
				["_id"] = 7,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["rowCounter"] = {
				["_id"] = 8,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["colCounter"] = {
				["_id"] = 9,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["skyTileHeight"] = {
				["_id"] = 10,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["skyTileWidth"] = {
				["_id"] = 11,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["levelSelection"] = {
				["_id"] = 12,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["LEFT"] = {
				["_id"] = 13,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["RIGHT"] = {
				["_id"] = 14,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["currentDirection"] = {
				["_id"] = 15,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["levelObjectsSpeed"] = {
				["_id"] = 16,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["threshold"] = {
				["_id"] = 17,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["touchStartX"] = {
				["_id"] = 18,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["currentPage"] = {
				["_id"] = 19,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["levelObjectsMoving"] = {
				["_id"] = 20,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["levelsCreated"] = {
				["_id"] = 21,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["active"] = {
				["_id"] = 22,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["checkDirection"] = {
				[1] = {
					["_id"] = 163,
					["_t"] = domTypes.customEvent
				}
			},
			["turn_levels_page"] = {
				[1] = {
					["_id"] = 162,
					["_t"] = domTypes.customEvent
				}
			},
			["moveLevelObjects"] = {
				[0] = {
					["_id"] = 161,
					["_t"] = domTypes.customEvent
				}
			},
			["create_next_prev_signs"] = {
				[0] = {
					["_id"] = 160,
					["_t"] = domTypes.customEvent
				}
			},
			["buildLevelSelection"] = {
				[1] = {
					["_id"] = 159,
					["_t"] = domTypes.customEvent
				}
			},
			["sync_bonus_lvl_status"] = {
				[0] = {
					["_id"] = 158,
					["_t"] = domTypes.customEvent
				}
			},
			["worldOne"] = {
				[0] = {
					["_id"] = 157,
					["_t"] = domTypes.customEvent
				}
			},
			["WorldTwo"] = {
				[0] = {
					["_id"] = 156,
					["_t"] = domTypes.customEvent
				}
			},
			["headline"] = {
				[0] = {
					["_id"] = 155,
					["_t"] = domTypes.customEvent
				}
			},
			["createTable"] = {
				[1] = {
					["_id"] = 154,
					["_t"] = domTypes.customEvent
				}
			},
			["createBackButton"] = {
				[0] = {
					["_id"] = 153,
					["_t"] = domTypes.customEvent
				}
			},
			["createTotalTimeSign"] = {
				[0] = {
					["_id"] = 152,
					["_t"] = domTypes.customEvent
				}
			},
			["startLevel"] = {
				[1] = {
					["_id"] = 151,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 13,
		["_t"] = domTypes.gameObject
	},
	["newGameButton"] = {
		["properties"] = {
			["selected"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["onButton"] = {
				[0] = {
					["_id"] = 150,
					["_t"] = domTypes.customEvent
				}
			},
			["init_sun_light"] = {
				[0] = {
					["_id"] = 149,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 110,
		["_t"] = domTypes.gameObject
	},
	["levelSelectionHeadline"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 111,
		["_t"] = domTypes.gameObject
	},
	["menuHills"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 112,
		["_t"] = domTypes.gameObject
	},
	["levelObject"] = {
		["properties"] = {
			["id"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["isOpen"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["offset"] = {
				["_id"] = 4,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["starsCounter"] = {
				["_id"] = 2,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["closed_by_coin"] = {
				["_id"] = 3,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["active"] = {
				["_id"] = 5,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["createHB"] = {
				[0] = {
					["_id"] = 148,
					["_t"] = domTypes.customEvent
				}
			},
			["checkState"] = {
				[0] = {
					["_id"] = 147,
					["_t"] = domTypes.customEvent
				}
			},
			["showBestTimeAndStars"] = {
				[0] = {
					["_id"] = 146,
					["_t"] = domTypes.customEvent
				}
			},
			["createBestTimeSign"] = {
				[1] = {
					["_id"] = 145,
					["_t"] = domTypes.customEvent
				}
			},
			["addStars"] = {
				[1] = {
					["_id"] = 144,
					["_t"] = domTypes.customEvent
				}
			},
			["levelPressed"] = {
				[0] = {
					["_id"] = 143,
					["_t"] = domTypes.customEvent
				}
			},
			["moveToLevel"] = {
				[0] = {
					["_id"] = 142,
					["_t"] = domTypes.customEvent
				}
			},
			["createCoin"] = {
				[0] = {
					["_id"] = 141,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {
			["idShadow"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["id"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 113,
		["_t"] = domTypes.gameObject
	},
	["soundMng"] = {
		["properties"] = {
			["d"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["teleporters_loaded"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["loadBasicSounds"] = {
				[0] = {
					["_id"] = 140,
					["_t"] = domTypes.customEvent
				}
			},
			["loadMudHit"] = {
				[0] = {
					["_id"] = 139,
					["_t"] = domTypes.customEvent
				}
			},
			["loadTeleporter"] = {
				[0] = {
					["_id"] = 138,
					["_t"] = domTypes.customEvent
				}
			},
			["loadBouncer"] = {
				[0] = {
					["_id"] = 137,
					["_t"] = domTypes.customEvent
				}
			},
			["playJumpSound"] = {
				[0] = {
					["_id"] = 136,
					["_t"] = domTypes.customEvent
				}
			},
			["playWhee"] = {
				[0] = {
					["_id"] = 135,
					["_t"] = domTypes.customEvent
				}
			},
			["playMudHit"] = {
				[0] = {
					["_id"] = 134,
					["_t"] = domTypes.customEvent
				}
			},
			["playTeleport"] = {
				[0] = {
					["_id"] = 133,
					["_t"] = domTypes.customEvent
				}
			},
			["playLandSound"] = {
				[0] = {
					["_id"] = 132,
					["_t"] = domTypes.customEvent
				}
			},
			["playButtonSound"] = {
				[0] = {
					["_id"] = 131,
					["_t"] = domTypes.customEvent
				}
			},
			["pickup"] = {
				[0] = {
					["_id"] = 130,
					["_t"] = domTypes.customEvent
				}
			},
			["load_pickup"] = {
				[0] = {
					["_id"] = 129,
					["_t"] = domTypes.customEvent
				}
			},
			["playLevelFailedSound"] = {
				[0] = {
					["_id"] = 128,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 114,
		["_t"] = domTypes.gameObject
	},
	["gameBghills"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 67,
		["_t"] = domTypes.gameObject
	},
	["levelDisplay"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["numShadow"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["textShadow"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["text"] = {
				["_id"] = 2,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["num"] = {
				["_id"] = 3,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 52,
		["_t"] = domTypes.gameObject
	},
	["inGameMenuBtn"] = {
		["properties"] = {
			["selected"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["radius"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["active"] = {
				["_id"] = 2,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["onButton"] = {
				[0] = {
					["_id"] = 127,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 50,
		["_t"] = domTypes.gameObject
	},
	["platformBtntop"] = {
		["properties"] = {
			["on"] = {
				["_id"] = 3,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["yPos"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["id"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["colliding"] = {
				["_id"] = 2,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["animate"] = {
				[0] = {
					["_id"] = 126,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 115,
		["_t"] = domTypes.gameObject
	},
	["LevelBestTime"] = {
		["properties"] = {
			["seconds"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["minutes"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["calculateTime"] = {
				[0] = {
					["_id"] = 125,
					["_t"] = domTypes.customEvent
				}
			},
			["handleTens"] = {
				[0] = {
					["_id"] = 124,
					["_t"] = domTypes.customEvent
				}
			},
			["handleDigits"] = {
				[0] = {
					["_id"] = 123,
					["_t"] = domTypes.customEvent
				}
			},
			["handleMinutes"] = {
				[0] = {
					["_id"] = 122,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {
			["minShadow"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["dots_1"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["secShadow"] = {
				["_id"] = 2,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["minutes"] = {
				["_id"] = 3,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["dots"] = {
				["_id"] = 4,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["seconds"] = {
				["_id"] = 5,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 116,
		["_t"] = domTypes.gameObject
	},
	["levelObjectHB"] = {
		["properties"] = {
			["Father"] = {
				["_id"] = 1,
				["_t"] = domTypes.instanceProperty,
				["_co"] = 113
			},
			["started"] = {
				["_id"] = 2,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 117,
		["_t"] = domTypes.gameObject
	},
	["LevelsBtn"] = {
		["properties"] = {
			["selected"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["inMenu"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["onButton"] = {
				[0] = {
					["_id"] = 121,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {
			["text"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["text_1"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 118,
		["_t"] = domTypes.gameObject
	},
	["cloud1"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 119,
		["_t"] = domTypes.gameObject
	},
	["cloud3"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 120,
		["_t"] = domTypes.gameObject
	},
	["nextLevelBtn"] = {
		["properties"] = {
			["selected"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["onButton"] = {
				[0] = {
					["_id"] = 120,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 121,
		["_t"] = domTypes.gameObject
	},
	["cloud5"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 122,
		["_t"] = domTypes.gameObject
	},
	["cloud2"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 123,
		["_t"] = domTypes.gameObject
	},
	["levelCompletedTitle"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame_1"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 124,
		["_t"] = domTypes.gameObject
	},
	["displayLevelTime"] = {
		["properties"] = {},
		["customEvents"] = {
			["displaySeconds"] = {
				[0] = {
					["_id"] = 119,
					["_t"] = domTypes.customEvent
				}
			},
			["handleDigits"] = {
				[0] = {
					["_id"] = 118,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {
			["timeText_1"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["secondsShadow"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["dotsShadow"] = {
				["_id"] = 2,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["timeText"] = {
				["_id"] = 3,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame_1_1_2_1"] = {
				["_id"] = 4,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["seconds"] = {
				["_id"] = 5,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["minutesShadow"] = {
				["_id"] = 6,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["minutes"] = {
				["_id"] = 7,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 125,
		["_t"] = domTypes.gameObject
	},
	["cloud4"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 126,
		["_t"] = domTypes.gameObject
	},
	["gameTimer"] = {
		["properties"] = {
			["pause"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["LockTime"] = {
				[1] = {
					["_id"] = 117,
					["_t"] = domTypes.customEvent
				}
			},
			["stopTimer"] = {
				[0] = {
					["_id"] = 116,
					["_t"] = domTypes.customEvent
				}
			},
			["continueTimer"] = {
				[0] = {
					["_id"] = 115,
					["_t"] = domTypes.customEvent
				}
			},
			["handleDigits"] = {
				[0] = {
					["_id"] = 114,
					["_t"] = domTypes.customEvent
				}
			},
			["displayTimer"] = {
				[0] = {
					["_id"] = 113,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {
			["secShadow"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["dots_1"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["minutesShadow"] = {
				["_id"] = 2,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["minutes"] = {
				["_id"] = 3,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["dots"] = {
				["_id"] = 4,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["sec"] = {
				["_id"] = 5,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 51,
		["_t"] = domTypes.gameObject
	},
	["turtleHitbox"] = {
		["properties"] = {
			["turtle"] = {
				["_id"] = 1,
				["_t"] = domTypes.instanceProperty,
				["_co"] = 32
			},
			["platform"] = {
				["_id"] = 5,
				["_t"] = domTypes.instanceProperty,
				["_co"] = 33
			},
			["tempX"] = {
				["_id"] = 6,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["tempY"] = {
				["_id"] = 7,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["lastPlatform"] = {
				["_id"] = 3,
				["_t"] = domTypes.instanceProperty,
				["_co"] = 33
			}
		},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 35,
		["_t"] = domTypes.gameObject
	},
	["wallTile"] = {
		["properties"] = {
			["left"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["Xoffset"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["correctPos"] = {
				[1] = {
					["_id"] = 112,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 127,
		["_t"] = domTypes.gameObject
	},
	["dialogBox"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 128,
		["_t"] = domTypes.gameObject
	},
	["shopBtn"] = {
		["properties"] = {
			["selected"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["onButton"] = {
				[0] = {
					["_id"] = 111,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {
			["text"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["text_1"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 129,
		["_t"] = domTypes.gameObject
	},
	["resumeBtn"] = {
		["properties"] = {
			["selected"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["onButton"] = {
				[0] = {
					["_id"] = 110,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {
			["text"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["text_1"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 130,
		["_t"] = domTypes.gameObject
	},
	["tapToJump"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame_1"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 131,
		["_t"] = domTypes.gameObject
	},
	["objectiveMsg"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame_1"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 132,
		["_t"] = domTypes.gameObject
	},
	["objectiveArrow"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 133,
		["_t"] = domTypes.gameObject
	},
	["tryThis"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 134,
		["_t"] = domTypes.gameObject
	},
	["backBtn"] = {
		["properties"] = {
			["selected"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["active"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["onButton"] = {
				[0] = {
					["_id"] = 109,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 135,
		["_t"] = domTypes.gameObject
	},
	["parachute"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 36,
		["_t"] = domTypes.gameObject
	},
	["yesButton"] = {
		["properties"] = {
			["selected"] = {
				["_id"] = 2,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["exit"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["to_menu"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["onButton"] = {
				[0] = {
					["_id"] = 108,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 136,
		["_t"] = domTypes.gameObject
	},
	["noButton"] = {
		["properties"] = {
			["selected"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["onButton"] = {
				[0] = {
					["_id"] = 107,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 137,
		["_t"] = domTypes.gameObject
	},
	["replayLevelBtn"] = {
		["properties"] = {
			["selected"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["levelFailed"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["onButton"] = {
				[0] = {
					["_id"] = 106,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 138,
		["_t"] = domTypes.gameObject
	},
	["levelsBtn1"] = {
		["properties"] = {
			["selected"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["onButton"] = {
				[0] = {
					["_id"] = 105,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 139,
		["_t"] = domTypes.gameObject
	},
	["totalTimeSign"] = {
		["properties"] = {
			["totalSeconds"] = {
				["_id"] = 4,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["minutes"] = {
				["_id"] = 5,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["firstDozen"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["secondDozen"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["Dozen3"] = {
				["_id"] = 2,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["Dozen4"] = {
				["_id"] = 3,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["calculateTime"] = {
				[0] = {
					["_id"] = 104,
					["_t"] = domTypes.customEvent
				}
			},
			["handleTens"] = {
				[0] = {
					["_id"] = 103,
					["_t"] = domTypes.customEvent
				}
			},
			["handleDigits"] = {
				[0] = {
					["_id"] = 102,
					["_t"] = domTypes.customEvent
				}
			},
			["handleMinutes"] = {
				[0] = {
					["_id"] = 101,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {
			["minShadow_1"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["minShadow"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["dots_1"] = {
				["_id"] = 2,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["secShadow"] = {
				["_id"] = 3,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["minutes"] = {
				["_id"] = 4,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["dots"] = {
				["_id"] = 5,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["seconds"] = {
				["_id"] = 6,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["dots_2"] = {
				["_id"] = 7,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 140,
		["_t"] = domTypes.gameObject
	},
	["comingSoon"] = {
		["properties"] = {
			["selected"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["highLight"] = {
				[0] = {
					["_id"] = 100,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 141,
		["_t"] = domTypes.gameObject
	},
	["worldBox"] = {
		["properties"] = {},
		["customEvents"] = {
			["setAnimation"] = {
				[0] = {
					["_id"] = 99,
					["_t"] = domTypes.customEvent
				}
			},
			["createComingSoonText"] = {
				[0] = {
					["_id"] = 98,
					["_t"] = domTypes.customEvent
				}
			},
			["setPos"] = {
				[2] = {
					["_id"] = 97,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {
			["worldTextShadow"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["worldText"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 142,
		["_t"] = domTypes.gameObject
	},
	["levelFailedTitle"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame_1"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 143,
		["_t"] = domTypes.gameObject
	},
	["timesUp"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame_1"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame_1_1"] = {
				["_id"] = 2,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame_1_2"] = {
				["_id"] = 3,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame_1_2_1"] = {
				["_id"] = 4,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame_1_1_1"] = {
				["_id"] = 5,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 144,
		["_t"] = domTypes.gameObject
	},
	["bestTimeMsg"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame_1"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 145,
		["_t"] = domTypes.gameObject
	},
	["congrats"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame_1"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 146,
		["_t"] = domTypes.gameObject
	},
	["winGameText"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame_1_1_1"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame_1"] = {
				["_id"] = 2,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame_1_1"] = {
				["_id"] = 3,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 147,
		["_t"] = domTypes.gameObject
	},
	["warningMsg"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame_1"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 148,
		["_t"] = domTypes.gameObject
	},
	["gameRoomExtraHill"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 69,
		["_t"] = domTypes.gameObject
	},
	["backToLevels"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame_1"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 149,
		["_t"] = domTypes.gameObject
	},
	["rateUsDialog"] = {
		["properties"] = {
			["starCounter"] = {
				["_id"] = 2,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["numOfStars"] = {
				["_id"] = 3,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["objects"] = {
				["_id"] = 1,
				["_t"] = domTypes.instanceProperty
			}
		},
		["customEvents"] = {
			["init"] = {
				[0] = {
					["_id"] = 96,
					["_t"] = domTypes.customEvent
				}
			},
			["createHeadline"] = {
				[0] = {
					["_id"] = 95,
					["_t"] = domTypes.customEvent
				}
			},
			["createSubHeadline"] = {
				[0] = {
					["_id"] = 94,
					["_t"] = domTypes.customEvent
				}
			},
			["createStars"] = {
				[0] = {
					["_id"] = 93,
					["_t"] = domTypes.customEvent
				}
			},
			["createButtons"] = {
				[0] = {
					["_id"] = 92,
					["_t"] = domTypes.customEvent
				}
			},
			["createBill"] = {
				[0] = {
					["_id"] = 91,
					["_t"] = domTypes.customEvent
				}
			},
			["destroy"] = {
				[0] = {
					["_id"] = 90,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 150,
		["_t"] = domTypes.gameObject
	},
	["rateItBtn"] = {
		["properties"] = {
			["selected"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["onButton"] = {
				[0] = {
					["_id"] = 89,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {
			["text_1"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["text"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 151,
		["_t"] = domTypes.gameObject
	},
	["noThanksBtn"] = {
		["properties"] = {
			["selected"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["onButton"] = {
				[0] = {
					["_id"] = 88,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {
			["text_1"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["text"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 152,
		["_t"] = domTypes.gameObject
	},
	["rateUsText"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["text_1"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["text"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 153,
		["_t"] = domTypes.gameObject
	},
	["rateUsStar"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 154,
		["_t"] = domTypes.gameObject
	},
	["likeThisGame"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame_1"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 155,
		["_t"] = domTypes.gameObject
	},
	["billOnDialog"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 156,
		["_t"] = domTypes.gameObject
	},
	["pl_crumbling"] = {
		["properties"] = {
			["CrumberCounter"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["CrubmleType"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["HasCollided"] = {
				["_id"] = 2,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["Break"] = {
				[0] = {
					["_id"] = 87,
					["_t"] = domTypes.customEvent
				}
			},
			["CrumbleEffect"] = {
				[0] = {
					["_id"] = 86,
					["_t"] = domTypes.customEvent
				}
			},
			["CreateCrumble"] = {
				[0] = {
					["_id"] = 85,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 49,
		["_t"] = domTypes.gameObject
	},
	["crack_Left"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 157,
		["_t"] = domTypes.gameObject
	},
	["starOnLevel"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 158,
		["_t"] = domTypes.gameObject
	},
	["Camera23"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 72,
		["_t"] = domTypes.gameObject
	},
	["Teleport"] = {
		["properties"] = {
			["NextFlatform"] = {
				["_id"] = 1,
				["_t"] = domTypes.instanceProperty,
				["_co"] = 40
			}
		},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 75,
		["_t"] = domTypes.gameObject
	},
	["plat_Lava"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 79,
		["_t"] = domTypes.gameObject
	},
	["Crumble3"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 159,
		["_t"] = domTypes.gameObject
	},
	["levelCompleteStar"] = {
		["properties"] = {
			["id"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["placeStar"] = {
				[1] = {
					["_id"] = 84,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 160,
		["_t"] = domTypes.gameObject
	},
	["Circle"] = {
		["properties"] = {
			["Radius"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["CenterX"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["CenterY"] = {
				["_id"] = 2,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["angle"] = {
				["_id"] = 3,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["timer"] = {
				["_id"] = 4,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["speed"] = {
				["_id"] = 5,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["angleInCollision"] = {
				["_id"] = 6,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["circlesWithBill"] = {
				["_id"] = 7,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["ChangeDirection"] = {
				[0] = {
					["_id"] = 83,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 56,
		["_t"] = domTypes.gameObject
	},
	["TeleFlame"] = {
		["properties"] = {
			["VOffset"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 34,
		["_t"] = domTypes.gameObject
	},
	["CloudLava1"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 162,
		["_t"] = domTypes.gameObject
	},
	["CloudLava2"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 163,
		["_t"] = domTypes.gameObject
	},
	["CloudLava3"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 164,
		["_t"] = domTypes.gameObject
	},
	["MiddleRock"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 87,
		["_t"] = domTypes.gameObject
	},
	["HaveFaith"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame_1"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame_1_1"] = {
				["_id"] = 2,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame_2"] = {
				["_id"] = 3,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 83,
		["_t"] = domTypes.gameObject
	},
	["EverDreamt"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame_1"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame_1_1"] = {
				["_id"] = 2,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame_2"] = {
				["_id"] = 3,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 84,
		["_t"] = domTypes.gameObject
	},
	["LevelsLaval"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 166,
		["_t"] = domTypes.gameObject
	},
	["Bouncer"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 89,
		["_t"] = domTypes.gameObject
	},
	["teleportCamera"] = {
		["properties"] = {
			["Duration"] = {
				["_id"] = 2,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["distance"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["speed"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["Goto"] = {
				[2] = {
					["_id"] = 82,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 167,
		["_t"] = domTypes.gameObject
	},
	["TeleBill"] = {
		["properties"] = {
			["NextTeleportY"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["NextTeleportX"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 168,
		["_t"] = domTypes.gameObject
	},
	["BounceRightHitBox"] = {
		["properties"] = {
			["owner"] = {
				["_id"] = 1,
				["_t"] = domTypes.instanceProperty,
				["_co"] = 90
			}
		},
		["customEvents"] = {
			["Act"] = {
				[0] = {
					["_id"] = 81,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 169,
		["_t"] = domTypes.gameObject
	},
	["Rocks"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 81,
		["_t"] = domTypes.gameObject
	},
	["exitBtn"] = {
		["properties"] = {
			["selected"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["onButton"] = {
				[0] = {
					["_id"] = 80,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {
			["text"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["text_1"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 170,
		["_t"] = domTypes.gameObject
	},
	["exitGameBtn"] = {
		["properties"] = {
			["selected"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["onButton"] = {
				[0] = {
					["_id"] = 79,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 171,
		["_t"] = domTypes.gameObject
	},
	["jelly_45"] = {
		["properties"] = {
			["mirrored"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["squash"] = {
				[0] = {
					["_id"] = 78,
					["_t"] = domTypes.customEvent
				}
			},
			["CreateHitBoxes"] = {
				[0] = {
					["_id"] = 77,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 90,
		["_t"] = domTypes.gameObject
	},
	["mud_drops"] = {
		["properties"] = {},
		["customEvents"] = {
			["SetSpeedIfConnected"] = {
				[2] = {
					["_id"] = 76,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 94,
		["_t"] = domTypes.gameObject
	},
	["left_rock"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 85,
		["_t"] = domTypes.gameObject
	},
	["right_rock"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 86,
		["_t"] = domTypes.gameObject
	},
	["pl_nom_s"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 68,
		["_t"] = domTypes.gameObject
	},
	["triangle"] = {
		["properties"] = {
			["Back"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 70,
		["_t"] = domTypes.gameObject
	},
	["UseYourHead"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame_1"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 92,
		["_t"] = domTypes.gameObject
	},
	["UseParachute"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame_1"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 91,
		["_t"] = domTypes.gameObject
	},
	["ICant"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame_1"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 96,
		["_t"] = domTypes.gameObject
	},
	["Circle_s"] = {
		["properties"] = {
			["Radius"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["CenterX"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["CenterY"] = {
				["_id"] = 2,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["angle"] = {
				["_id"] = 3,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["timer"] = {
				["_id"] = 4,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["speed"] = {
				["_id"] = 5,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["IsRunning"] = {
				["_id"] = 6,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["circlesWithBill"] = {
				["_id"] = 7,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["angleInCollision"] = {
				["_id"] = 8,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["Stop"] = {
				[0] = {
					["_id"] = 75,
					["_t"] = domTypes.customEvent
				}
			},
			["Continue"] = {
				[0] = {
					["_id"] = 74,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 73,
		["_t"] = domTypes.gameObject
	},
	["StandardCamera"] = {
		["properties"] = {
			["Player"] = {
				["_id"] = 1,
				["_t"] = domTypes.instanceProperty
			}
		},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 173,
		["_t"] = domTypes.gameObject
	},
	["Crumble1"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 174,
		["_t"] = domTypes.gameObject
	},
	["promo_icon"] = {
		["properties"] = {
			["id"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = 7
			}
		},
		["customEvents"] = {
			["Act"] = {
				[0] = {
					["_id"] = 73,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 175,
		["_t"] = domTypes.gameObject
	},
	["Crumble2"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 176,
		["_t"] = domTypes.gameObject
	},
	["crack_Right"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 177,
		["_t"] = domTypes.gameObject
	},
	["Glide"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame_1"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 53,
		["_t"] = domTypes.gameObject
	},
	["plat_Lava_1"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 78,
		["_t"] = domTypes.gameObject
	},
	["SoundButton"] = {
		["properties"] = {
			["Music"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = 6
			}
		},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 179,
		["_t"] = domTypes.gameObject
	},
	["TopBar"] = {
		["properties"] = {},
		["customEvents"] = {
			["ShowCoins"] = {
				[1] = {
					["_id"] = 72,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {
			["TextFrame_1"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame_1_1"] = {
				["_id"] = 2,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame_2"] = {
				["_id"] = 3,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 17,
		["_t"] = domTypes.gameObject
	},
	["CoinTopBar"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 18,
		["_t"] = domTypes.gameObject
	},
	["RightArrow"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 25,
		["_t"] = domTypes.gameObject
	},
	["GetMoreCoinsButton"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame_1"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 27,
		["_t"] = domTypes.gameObject
	},
	["BigShopButton"] = {
		["properties"] = {
			["not_in_shop"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame_1"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 180,
		["_t"] = domTypes.gameObject
	},
	["BigBackGround"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame_1"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 181,
		["_t"] = domTypes.gameObject
	},
	["LavaWorldItem"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 182,
		["_t"] = domTypes.gameObject
	},
	["CoinBox"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 183,
		["_t"] = domTypes.gameObject
	},
	["Back"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame_1"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 22,
		["_t"] = domTypes.gameObject
	},
	["SmallBox"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame_1"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame_1_1"] = {
				["_id"] = 2,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame_2"] = {
				["_id"] = 3,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["tx_DescriptionShadow"] = {
				["_id"] = 4,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["tx_Description"] = {
				["_id"] = 5,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["tx_DescriptionShadow_1"] = {
				["_id"] = 6,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["tx_Description_1"] = {
				["_id"] = 7,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 184,
		["_t"] = domTypes.gameObject
	},
	["SmallShopGetIt"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame_1"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 185,
		["_t"] = domTypes.gameObject
	},
	["FireIcon"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 186,
		["_t"] = domTypes.gameObject
	},
	["PotionIcon"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 187,
		["_t"] = domTypes.gameObject
	},
	["NotEnoughMoneyDialogue"] = {
		["properties"] = {},
		["customEvents"] = {
			["close"] = {
				[0] = {
					["_id"] = 71,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {
			["TextFrame_1_1"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame_1"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 188,
		["_t"] = domTypes.gameObject
	},
	["HourglassIcon"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 189,
		["_t"] = domTypes.gameObject
	},
	["ShopHeader"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 23,
		["_t"] = domTypes.gameObject
	},
	["FireButton"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 41,
		["_t"] = domTypes.gameObject
	},
	["PowerUpCounter"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame_1"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 43,
		["_t"] = domTypes.gameObject
	},
	["PotionAnimation"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 190,
		["_t"] = domTypes.gameObject
	},
	["TimerLock"] = {
		["properties"] = {},
		["customEvents"] = {
			["destroy"] = {
				[0] = {
					["_id"] = 70,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 191,
		["_t"] = domTypes.gameObject
	},
	["CoinsBox"] = {
		["properties"] = {},
		["customEvents"] = {
			["close"] = {
				[0] = {
					["_id"] = 69,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {
			["timeText"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["coinsShadow"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["coins"] = {
				["_id"] = 2,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["timeText_1"] = {
				["_id"] = 3,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 192,
		["_t"] = domTypes.gameObject
	},
	["CoinEarnedIcon"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 193,
		["_t"] = domTypes.gameObject
	},
	["StoreSound"] = {
		["properties"] = {},
		["customEvents"] = {
			["PlayCash"] = {
				[0] = {
					["_id"] = 68,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 26,
		["_t"] = domTypes.gameObject
	},
	["PotionButton"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 44,
		["_t"] = domTypes.gameObject
	},
	["HourglassButton"] = {
		["properties"] = {
			["Duration"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 45,
		["_t"] = domTypes.gameObject
	},
	["Description"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["ts_TitleShadow"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["tx_DescriptionShadow"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["ts_Title"] = {
				["_id"] = 2,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["tx_Description"] = {
				["_id"] = 3,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 24,
		["_t"] = domTypes.gameObject
	},
	["plat_Lava_2"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 76,
		["_t"] = domTypes.gameObject
	},
	["plat_Lava_1_1"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 77,
		["_t"] = domTypes.gameObject
	},
	["TouchTheSun"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 65,
		["_t"] = domTypes.gameObject
	},
	["Shop"] = {
		["properties"] = {
			["selected"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["onButton"] = {
				[0] = {
					["_id"] = 67,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 194,
		["_t"] = domTypes.gameObject
	},
	["Playscape_logo"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 29,
		["_t"] = domTypes.gameObject
	},
	["playscape_popup"] = {
		["properties"] = {
			["in_worlds_selection_menu"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 195,
		["_t"] = domTypes.gameObject
	},
	["Magic"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame_1"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame_1_1"] = {
				["_id"] = 2,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame_2"] = {
				["_id"] = 3,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 80,
		["_t"] = domTypes.gameObject
	},
	["Tricky"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame_1"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 82,
		["_t"] = domTypes.gameObject
	},
	["BounceLeftHitBox"] = {
		["properties"] = {
			["owner"] = {
				["_id"] = 1,
				["_t"] = domTypes.instanceProperty,
				["_co"] = 90
			}
		},
		["customEvents"] = {
			["Act"] = {
				[0] = {
					["_id"] = 66,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 196,
		["_t"] = domTypes.gameObject
	},
	["plat_Mud"] = {
		["properties"] = {
			["dropping"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = 5
			},
			["my_drops"] = {
				["_id"] = 2,
				["_t"] = domTypes.instanceProperty,
				["_co"] = 94
			}
		},
		["customEvents"] = {
			["Dropping"] = {
				[1] = {
					["_id"] = 65,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 93,
		["_t"] = domTypes.gameObject
	},
	["coin_lvl_icon"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 197,
		["_t"] = domTypes.gameObject
	},
	["left_rock_small"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 88,
		["_t"] = domTypes.gameObject
	},
	["moreGameButton"] = {
		["properties"] = {
			["selected"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["onButton"] = {
				[0] = {
					["_id"] = 64,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 199,
		["_t"] = domTypes.gameObject
	},
	["coin_in_game"] = {
		["properties"] = {},
		["customEvents"] = {
			["on_pick_up"] = {
				[0] = {
					["_id"] = 63,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 58,
		["_t"] = domTypes.gameObject
	},
	["coin_pick_up"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 200,
		["_t"] = domTypes.gameObject
	},
	["flower"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 201,
		["_t"] = domTypes.gameObject
	},
	["menuMountains"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 202,
		["_t"] = domTypes.gameObject
	},
	["sun_light"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 203,
		["_t"] = domTypes.gameObject
	},
	["settings_button"] = {
		["properties"] = {
			["my_parts"] = {
				["_id"] = 1,
				["_t"] = domTypes.instanceProperty
			}
		},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 204,
		["_t"] = domTypes.gameObject
	},
	["settings_dlg_box"] = {
		["properties"] = {
			["my_parts"] = {
				["_id"] = 2,
				["_t"] = domTypes.instanceProperty
			},
			["last_service_status"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["init"] = {
				[0] = {
					["_id"] = 62,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 205,
		["_t"] = domTypes.gameObject
	},
	["next_levels_sign"] = {
		["properties"] = {
			["next"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["active"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["set"] = {
				[1] = {
					["_id"] = 61,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 206,
		["_t"] = domTypes.gameObject
	},
	["promotion"] = {
		["properties"] = {
			["parts"] = {
				["_id"] = 1,
				["_t"] = domTypes.instanceProperty
			}
		},
		["customEvents"] = {
			["Init"] = {
				[0] = {
					["_id"] = 60,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 208,
		["_t"] = domTypes.gameObject
	},
	["promo_no"] = {
		["properties"] = {
			["selected"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["onButton"] = {
				[0] = {
					["_id"] = 59,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {
			["text_1"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["text"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 209,
		["_t"] = domTypes.gameObject
	},
	["dialog_win"] = {
		["properties"] = {
			["parts"] = {
				["_id"] = 1,
				["_t"] = domTypes.instanceProperty
			}
		},
		["customEvents"] = {
			["Init"] = {
				[0] = {
					["_id"] = 58,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 211,
		["_t"] = domTypes.gameObject
	},
	["missionsGameButton"] = {
		["properties"] = {
			["selected"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["onButton"] = {
				[0] = {
					["_id"] = 57,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 212,
		["_t"] = domTypes.gameObject
	},
	["shopGameButton"] = {
		["properties"] = {
			["selected"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["onButton"] = {
				[0] = {
					["_id"] = 56,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 213,
		["_t"] = domTypes.gameObject
	},
	["LeftArrow"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 19,
		["_t"] = domTypes.gameObject
	},
	["wallet"] = {
		["properties"] = {
			["Coins"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["simulation_mode"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["Deposit"] = {
				[1] = {
					["_id"] = 55,
					["_t"] = domTypes.customEvent
				}
			},
			["Charge"] = {
				[1] = {
					["_id"] = 54,
					["_t"] = domTypes.customEvent
				}
			},
			["Init"] = {
				[0] = {
					["_id"] = 53,
					["_t"] = domTypes.customEvent
				}
			},
			["Display"] = {
				[0] = {
					["_id"] = 52,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 216,
		["_t"] = domTypes.gameObject
	},
	["FlamesText"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame_1_1"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame_1"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 217,
		["_t"] = domTypes.gameObject
	},
	["promotion_big_ok_button"] = {
		["properties"] = {
			["hit_box_delta"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["my_big_box"] = {
				["_id"] = 2,
				["_t"] = domTypes.instanceProperty,
				["_co"] = 252
			}
		},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 218,
		["_t"] = domTypes.gameObject
	},
	["promotion_launch_main_text"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 219,
		["_t"] = domTypes.gameObject
	},
	["promotion_launch_second_text"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 220,
		["_t"] = domTypes.gameObject
	},
	["settings_switch_button"] = {
		["properties"] = {
			["is_on"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 221,
		["_t"] = domTypes.gameObject
	},
	["settings_switch_text"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame_1"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 222,
		["_t"] = domTypes.gameObject
	},
	["setting_bar"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 223,
		["_t"] = domTypes.gameObject
	},
	["settings_title"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 224,
		["_t"] = domTypes.gameObject
	},
	["settings_return_button"] = {
		["properties"] = {
			["my_dlg"] = {
				["_id"] = 1,
				["_t"] = domTypes.instanceProperty,
				["_co"] = 205
			},
			["can_push"] = {
				["_id"] = 2,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 225,
		["_t"] = domTypes.gameObject
	},
	["HourglassText"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame_1_1"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame_1"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 227,
		["_t"] = domTypes.gameObject
	},
	["Potion"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame_1_1_1"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame_1_2"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 228,
		["_t"] = domTypes.gameObject
	},
	["CoolStuff"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame_1_1_1"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame_1_2"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 229,
		["_t"] = domTypes.gameObject
	},
	["PromotionPromotion"] = {
		["properties"] = {
			["from_in_game"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["CreateDownloadPlayScapeCoinsDiag"] = {
				[0] = {
					["_id"] = 51,
					["_t"] = domTypes.customEvent
				}
			},
			["CreateDownloadPlayScapeMissionsDiag"] = {
				[1] = {
					["_id"] = 50,
					["_t"] = domTypes.customEvent
				}
			},
			["CloseDownloadPlayScapeCoinsDiag"] = {
				[0] = {
					["_id"] = 49,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 14,
		["_t"] = domTypes.gameObject
	},
	["PromotionGenericButton"] = {
		["properties"] = {
			["Pressed"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["Enabled"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 230,
		["_t"] = domTypes.gameObject
	},
	["PromotionBasicDialogue"] = {
		["properties"] = {
			["ButtonVOffset"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["FirstStarXLocation"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["StarsOffset"] = {
				["_id"] = 2,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["FirstStarYLocation"] = {
				["_id"] = 3,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 231,
		["_t"] = domTypes.gameObject
	},
	["PromotionDownloadPlayScapeCoinsText"] = {
		["properties"] = {
			["ButtonVOffset"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {},
		["textFrames"] = {
			["title2"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["title"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame_1_1_1_1_1"] = {
				["_id"] = 2,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame_1_1_1_1_2"] = {
				["_id"] = 3,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame_1_1_1_1_2_1"] = {
				["_id"] = 4,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 232,
		["_t"] = domTypes.gameObject
	},
	["PromotionInstallButton"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame_1"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 233,
		["_t"] = domTypes.gameObject
	},
	["PromotionCancel"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame_1"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 234,
		["_t"] = domTypes.gameObject
	},
	["PromotionPlayScapeWhoButton"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame_1"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["TextFrame"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 235,
		["_t"] = domTypes.gameObject
	},
	["Playscape_but"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 236,
		["_t"] = domTypes.gameObject
	},
	["menuBtn"] = {
		["properties"] = {
			["selected"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["onButton"] = {
				[0] = {
					["_id"] = 48,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {
			["text"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["text_1"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 237,
		["_t"] = domTypes.gameObject
	},
	["restart_in_room"] = {
		["properties"] = {
			["selected"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["levelFailed"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["onButton"] = {
				[0] = {
					["_id"] = 47,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 46,
		["_t"] = domTypes.gameObject
	},
	["noThanksPopupButton"] = {
		["properties"] = {
			["selected"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["next_action"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["onButton"] = {
				[0] = {
					["_id"] = 46,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {
			["text_1"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["text"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 238,
		["_t"] = domTypes.gameObject
	},
	["big_dialog_bg"] = {
		["properties"] = {
			["parts"] = {
				["_id"] = 1,
				["_t"] = domTypes.instanceProperty
			}
		},
		["customEvents"] = {
			["Init"] = {
				[0] = {
					["_id"] = 45,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {
			["coins_1"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["ts_TitleShadow_1"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["ts_TitleShadow"] = {
				["_id"] = 2,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["tx_DescriptionShadow"] = {
				["_id"] = 3,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["ts_Title"] = {
				["_id"] = 4,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["tx_Description"] = {
				["_id"] = 5,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["ts_Title_1"] = {
				["_id"] = 6,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["coins"] = {
				["_id"] = 7,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 239,
		["_t"] = domTypes.gameObject
	},
	["dialogBox_Lvl_coins"] = {
		["properties"] = {
			["parts"] = {
				["_id"] = 2,
				["_t"] = domTypes.instanceProperty
			},
			["price"] = {
				["_id"] = 4,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["lvl"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["game_paused"] = {
				["_id"] = 3,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["Init"] = {
				[1] = {
					["_id"] = 44,
					["_t"] = domTypes.customEvent
				}
			},
			["on_yes"] = {
				[1] = {
					["_id"] = 43,
					["_t"] = domTypes.customEvent
				}
			},
			["upd_lvl_opening_vars"] = {
				[1] = {
					["_id"] = 42,
					["_t"] = domTypes.customEvent
				}
			},
			["on_level_complete"] = {
				[0] = {
					["_id"] = 41,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {
			["title"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["num"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["price"] = {
				["_id"] = 2,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["msg"] = {
				["_id"] = 3,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["msg_1"] = {
				["_id"] = 4,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["title_1"] = {
				["_id"] = 5,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["num_1"] = {
				["_id"] = 6,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["price_1"] = {
				["_id"] = 7,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 240,
		["_t"] = domTypes.gameObject
	},
	["yesButton_lvl_coins"] = {
		["properties"] = {
			["selected"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["exit"] = {
				["_id"] = 2,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["to_menu"] = {
				["_id"] = 3,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["on_level_complete"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["onButton"] = {
				[0] = {
					["_id"] = 40,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 241,
		["_t"] = domTypes.gameObject
	},
	["noButton_lvl_coins"] = {
		["properties"] = {
			["selected"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["on_level_complete"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["onButton"] = {
				[0] = {
					["_id"] = 39,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 242,
		["_t"] = domTypes.gameObject
	},
	["promotion_dlg_controller"] = {
		["properties"] = {},
		["customEvents"] = {
			["new_init"] = {
				[0] = {
					["_id"] = 38,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 15,
		["_t"] = domTypes.gameObject
	},
	["touch_shield"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 243,
		["_t"] = domTypes.gameObject
	},
	["promotion_characters"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 244,
		["_t"] = domTypes.gameObject
	},
	["promotion_approve_text"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 248,
		["_t"] = domTypes.gameObject
	},
	["promotion_reminder_main_text"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["TextFrame"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 249,
		["_t"] = domTypes.gameObject
	},
	["promotion_check_box"] = {
		["properties"] = {
			["my_big_box"] = {
				["_id"] = 2,
				["_t"] = domTypes.instanceProperty,
				["_co"] = 252
			},
			["my_hit_box"] = {
				["_id"] = 4,
				["_t"] = domTypes.instanceProperty
			},
			["is_checked"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = 3
			},
			["hit_box_delta"] = {
				["_id"] = 5,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 250,
		["_t"] = domTypes.gameObject
	},
	["promotion_ok_button"] = {
		["properties"] = {
			["my_big_box"] = {
				["_id"] = 1,
				["_t"] = domTypes.instanceProperty,
				["_co"] = 252
			},
			["scale_speed"] = {
				["_id"] = 2,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["scale_timer"] = {
				["_id"] = 3,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 251,
		["_t"] = domTypes.gameObject
	},
	["promotion_dlg"] = {
		["properties"] = {
			["bar_y_pos"] = {
				["_id"] = 4,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["x_gap_portriat"] = {
				["_id"] = 5,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["my_parts"] = {
				["_id"] = 3,
				["_t"] = domTypes.instanceProperty
			},
			["my_check_box"] = {
				["_id"] = 7,
				["_t"] = domTypes.instanceProperty,
				["_co"] = 250
			},
			["x_start_point"] = {
				["_id"] = 8,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["x_gap_landscape"] = {
				["_id"] = 9,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["x_end_point"] = {
				["_id"] = 10,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["y_end_poind"] = {
				["_id"] = 11,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["is_reminder"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["last_service_status"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["new_init"] = {
				[0] = {
					["_id"] = 37,
					["_t"] = domTypes.customEvent
				}
			},
			["destroy_all"] = {
				[0] = {
					["_id"] = 36,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 252,
		["_t"] = domTypes.gameObject
	},
	["master_46346"] = {
		["properties"] = {
			["promos"] = {
				["_id"] = 1,
				["_t"] = domTypes.instanceProperty,
				["_co"] = 5
			},
			["k"] = {
				["_id"] = 2,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["status"] = {
				["_id"] = 3,
				["_t"] = domTypes.numericProperty,
				["_evId"] = 2
			},
			["y_off"] = {
				["_id"] = 4,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["init"] = {
				[0] = {
					["_id"] = 35,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 4,
		["_t"] = domTypes.gameObject
	},
	["mominis_internal_placeholder_xprompt_promo"] = {
		["properties"] = {
			["id"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["my_bg"] = {
				["_id"] = 2,
				["_t"] = domTypes.instanceProperty
			}
		},
		["customEvents"] = {
			["set_pos"] = {
				[3] = {
					["_id"] = 34,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 5,
		["_t"] = domTypes.gameObject
	},
	["sync_master_4645645"] = {
		["properties"] = {
			["iteration"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["k"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["done"] = {
				["_id"] = 2,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["on_done"] = {
				[0] = {
					["_id"] = 33,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 6,
		["_t"] = domTypes.gameObject
	},
	["loading_bar_bg_354463462352"] = {
		["properties"] = {
			["my_parts"] = {
				["_id"] = 1,
				["_t"] = domTypes.instanceProperty
			},
			["my_fill"] = {
				["_id"] = 3,
				["_t"] = domTypes.instanceProperty
			},
			["full_fill"] = {
				["_id"] = 4,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["x_offset"] = {
				["_id"] = 5,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["scale_factor"] = {
				["_id"] = 6,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["create_filling"] = {
				[0] = {
					["_id"] = 32,
					["_t"] = domTypes.customEvent
				}
			},
			["init"] = {
				[0] = {
					["_id"] = 31,
					["_t"] = domTypes.customEvent
				}
			},
			["set_fill"] = {
				[1] = {
					["_id"] = 30,
					["_t"] = domTypes.customEvent
				}
			},
			["start_fill"] = {
				[1] = {
					["_id"] = 29,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 8,
		["_t"] = domTypes.gameObject
	},
	["loading_bar_fill_354298787643"] = {
		["properties"] = {},
		["customEvents"] = {
			["green"] = {
				[0] = {
					["_id"] = 28,
					["_t"] = domTypes.customEvent
				}
			},
			["red"] = {
				[0] = {
					["_id"] = 27,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 253,
		["_t"] = domTypes.gameObject
	},
	["black_rect_345345464563"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 7,
		["_t"] = domTypes.gameObject
	},
	["playscape_logo_353453456"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 9,
		["_t"] = domTypes.gameObject
	},
	["promotion_bg_876545323"] = {
		["properties"] = {},
		["customEvents"] = {
			["set"] = {
				[1] = {
					["_id"] = 26,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 254,
		["_t"] = domTypes.gameObject
	},
	["bg_43534535543"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 3,
		["_t"] = domTypes.gameObject
	},
	["playscape_logo_plus_353453456"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 255,
		["_t"] = domTypes.gameObject
	},
	["ball"] = {
		["properties"] = {
			["is_easing_out"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["ease_start_time"] = {
				["_id"] = 2,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["ease_duration"] = {
				["_id"] = 3,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["ease_dist"] = {
				["_id"] = 4,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["ease_x0"] = {
				["_id"] = 5,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["is_easing_in"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["id"] = {
				["_id"] = 6,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["ease_out"] = {
				[4] = {
					["_id"] = 25,
					["_t"] = domTypes.customEvent
				}
			},
			["ease_in"] = {
				[4] = {
					["_id"] = 24,
					["_t"] = domTypes.customEvent
				}
			},
			["start_ease_out"] = {
				[3] = {
					["_id"] = 23,
					["_t"] = domTypes.customEvent
				}
			},
			["start_ease_in"] = {
				[3] = {
					["_id"] = 22,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 256,
		["_t"] = domTypes.gameObject
	},
	["balls_master"] = {
		["properties"] = {
			["dt"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["set_timer_to_new_ball"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["delay_between_sequences"] = {
				["_id"] = 2,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["balls_cnt"] = {
				["_id"] = 3,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["total_balls"] = {
				["_id"] = 4,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["next_ball_time_factor"] = {
				["_id"] = 5,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["y0"] = {
				["_id"] = 6,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["create_ball"] = {
				[0] = {
					["_id"] = 21,
					["_t"] = domTypes.customEvent
				}
			},
			["start"] = {
				[0] = {
					["_id"] = 20,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 10,
		["_t"] = domTypes.gameObject
	},
	["easing_cap"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 257,
		["_t"] = domTypes.gameObject
	},
	["progressBar_563fa69400b64771a702b67525279e8a"] = {
		["properties"] = {
			["n"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["start_time"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["TIME_TO_SHOW"] = {
				["_id"] = 2,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["with_ads"] = {
				["_id"] = 3,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["ads_y_off"] = {
				["_id"] = 4,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["debug"] = {
				["_id"] = 5,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["y_off2"] = {
				["_id"] = 6,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["interstital_displayed"] = {
				["_id"] = 7,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["elapsed_time_since_last_comm"] = {
				["_id"] = 8,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["progressUpdate"] = {
				[2] = {
					["_id"] = 19,
					["_t"] = domTypes.customEvent
				}
			},
			["init"] = {
				[0] = {
					["_id"] = 18,
					["_t"] = domTypes.customEvent
				}
			},
			["upd_com_time"] = {
				[0] = {
					["_id"] = 17,
					["_t"] = domTypes.customEvent
				}
			},
			["create_loading_bar"] = {
				[0] = {
					["_id"] = 16,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 1,
		["_t"] = domTypes.gameObject
	},
	["levelToLoad_763435221"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {
			["LoadingText"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["LoadedRoom"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 2,
		["_t"] = domTypes.gameObject
	},
	["mominis_internal_placeholder_xprompt_promo_1"] = {
		["properties"] = {
			["t"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 259,
		["_t"] = domTypes.gameObject
	},
	["loading_bar_bg_8746535662"] = {
		["properties"] = {
			["my_parts"] = {
				["_id"] = 2,
				["_t"] = domTypes.instanceProperty
			},
			["my_fill"] = {
				["_id"] = 4,
				["_t"] = domTypes.instanceProperty
			},
			["full_fill"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["x_offset"] = {
				["_id"] = 5,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["scale_factor"] = {
				["_id"] = 6,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["create_filling"] = {
				[0] = {
					["_id"] = 15,
					["_t"] = domTypes.customEvent
				}
			},
			["init"] = {
				[0] = {
					["_id"] = 14,
					["_t"] = domTypes.customEvent
				}
			},
			["set_fill"] = {
				[1] = {
					["_id"] = 13,
					["_t"] = domTypes.customEvent
				}
			},
			["start_fill"] = {
				[1] = {
					["_id"] = 12,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 260,
		["_t"] = domTypes.gameObject
	},
	["black_rect_435634634"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 261,
		["_t"] = domTypes.gameObject
	},
	["playscape_logo_8765824ghj24248"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 262,
		["_t"] = domTypes.gameObject
	},
	["loading_bar_fill_86852564"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 263,
		["_t"] = domTypes.gameObject
	},
	["playscape_logo_plus_kjhg76854345"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 264,
		["_t"] = domTypes.gameObject
	},
	["part"] = {
		["properties"] = {
			["id_andJustALongName"] = {
				["_id"] = 14,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["kill"] = {
				[1] = {
					["_id"] = 11,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 266,
		["_t"] = domTypes.gameObject
	},
	["badge_028fdde5fde942f0b8eb273b1b8c9820"] = {
		["properties"] = {
			["BadgeId"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = 1
			},
			["BadgeDifficulty"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["DisplayBadgePreference"] = {
				["_id"] = 2,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["frame_x"] = {
				["_id"] = 9,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["frame_y"] = {
				["_id"] = 10,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["my_text"] = {
				["_id"] = 12,
				["_t"] = domTypes.instanceProperty,
				["_co"] = 268
			},
			["frame_bg"] = {
				["_id"] = 8,
				["_t"] = domTypes.instanceProperty,
				["_co"] = 270
			},
			["waiting"] = {
				["_id"] = 6,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["id_andJustALongName"] = {
				["_id"] = 5,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["invoker"] = {
				["_id"] = 4,
				["_t"] = domTypes.instanceProperty,
				["_co"] = 267
			},
			["textReady"] = {
				["_id"] = 13,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["CreateParts"] = {
				[0] = {
					["_id"] = 10,
					["_t"] = domTypes.customEvent
				}
			},
			["Show"] = {
				[3] = {
					["_id"] = 9,
					["_t"] = domTypes.customEvent
				}
			},
			["ShowText"] = {
				[1] = {
					["_id"] = 8,
					["_t"] = domTypes.customEvent
				}
			},
			["GetID"] = {
				[0] = {
					["_id"] = 7,
					["_t"] = domTypes.customEvent
				}
			},
			["ReceiveID"] = {
				[1] = {
					["_id"] = 6,
					["_t"] = domTypes.customEvent
				}
			},
			["Start"] = {
				[1] = {
					["_id"] = 5,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 267,
		["_t"] = domTypes.gameObject
	},
	["text"] = {
		["properties"] = {
			["steps"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["step"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["opentime"] = {
				["_id"] = 2,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {},
		["textFrames"] = {
			["txt1"] = {
				["_id"] = 0,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			},
			["BadgeTitle"] = {
				["_id"] = 1,
				["_t"] = domTypes.textFrame,
				["_luasupport"] = false
			}
		},
		["_id"] = 268,
		["_t"] = domTypes.gameObject
	},
	["text_cover"] = {
		["properties"] = {},
		["customEvents"] = {
			["FadeOut"] = {
				[0] = {
					["_id"] = 4,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 269,
		["_t"] = domTypes.gameObject
	},
	["frame_bg"] = {
		["properties"] = {
			["steps_i400"] = {
				["_id"] = 2,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["step_i400"] = {
				["_id"] = 0,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["opentime"] = {
				["_id"] = 3,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			},
			["w"] = {
				["_id"] = 1,
				["_t"] = domTypes.numericProperty,
				["_evId"] = -1
			}
		},
		["customEvents"] = {
			["Start"] = {
				[0] = {
					["_id"] = 3,
					["_t"] = domTypes.customEvent
				}
			},
			["FadeOut"] = {
				[1] = {
					["_id"] = 2,
					["_t"] = domTypes.customEvent
				}
			},
			["Set_w"] = {
				[1] = {
					["_id"] = 1,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 270,
		["_t"] = domTypes.gameObject
	},
	["icon_bg"] = {
		["properties"] = {
			["my_slaves"] = {
				["_id"] = 1,
				["_t"] = domTypes.instanceProperty
			}
		},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 271,
		["_t"] = domTypes.gameObject
	},
	["icon_cover"] = {
		["properties"] = {},
		["customEvents"] = {
			["FadeOut"] = {
				[0] = {
					["_id"] = 0,
					["_t"] = domTypes.customEvent
				}
			}
		},
		["textFrames"] = {},
		["_id"] = 272,
		["_t"] = domTypes.gameObject
	},
	["frame_bg_fade"] = {
		["properties"] = {},
		["customEvents"] = {},
		["textFrames"] = {},
		["_id"] = 273,
		["_t"] = domTypes.gameObject
	}
}
local globalsTable = {
	["sin"] = domTypes.builtinFunction,
	["asin"] = domTypes.builtinFunction,
	["cos"] = domTypes.builtinFunction,
	["acos"] = domTypes.builtinFunction,
	["tan"] = domTypes.builtinFunction,
	["atan"] = domTypes.builtinFunction,
	["abs"] = domTypes.builtinFunction,
	["round"] = domTypes.builtinFunction,
	["trunc"] = domTypes.builtinFunction,
	["sqr"] = domTypes.builtinFunction,
	["sqrt"] = domTypes.builtinFunction,
	["pow"] = domTypes.builtinFunction,
	["min"] = domTypes.builtinFunction,
	["max"] = domTypes.builtinFunction,
	["avg"] = domTypes.builtinFunction,
	["lengthOfVector"] = domTypes.builtinFunction,
	["rand"] = domTypes.builtinFunction,
	["networkRand"] = domTypes.builtinFunction,
	["CURRENT_ROOM_NUMBER"] = domTypes.globalIndicator,
	["ROOM_WIDTH"] = domTypes.globalIndicator,
	["ROOM_HEIGHT"] = domTypes.globalIndicator,
	["SCREEN_WIDTH"] = domTypes.globalIndicator,
	["SCREEN_HEIGHT"] = domTypes.globalIndicator,
	["CURRENT_TIME"] = domTypes.globalIndicator,
	["NETWORK_TIME"] = domTypes.globalIndicator,
	["CALENDAR_YEAR"] = domTypes.globalIndicator,
	["CALENDAR_MONTH"] = domTypes.globalIndicator,
	["CALENDAR_DAY_OF_MONTH"] = domTypes.globalIndicator,
	["CALENDAR_DAY_OF_WEEK"] = domTypes.globalIndicator,
	["CALENDAR_HOUR"] = domTypes.globalIndicator,
	["CALENDAR_MINUTE"] = domTypes.globalIndicator,
	["CALENDAR_SECOND"] = domTypes.globalIndicator,
	["ELAPSED_TIME_HOURS"] = domTypes.globalIndicator,
	["ELAPSED_TIME_MIN_FROM_LAST_HOUR"] = domTypes.globalIndicator,
	["ELAPSED_TIME_SEC_FROM_LAST_HOUR"] = domTypes.globalIndicator,
	["SCORE"] = domTypes.globalIndicator,
	["LIVES"] = domTypes.globalIndicator,
	["SCREEN_X"] = domTypes.globalIndicator,
	["SCREEN_Y"] = domTypes.globalIndicator,
	["TOUCH_MODE"] = domTypes.globalIndicator,
	["MENU_SOUND_SUPPORTED"] = domTypes.globalIndicator,
	["MENU_MUSIC_SUPPORTED"] = domTypes.globalIndicator,
	["MENU_SOUND_VOLUME"] = domTypes.globalIndicator,
	["MENU_MUSIC_VOLUME"] = domTypes.globalIndicator,
	["GAME_ID"] = domTypes.globalIndicator,
	["PLAYSCAPE_USER_LEVEL"] = domTypes.globalIndicator,
	["PLAYSCAPE_USER_XP"] = domTypes.globalIndicator,
	["BILLING_SUPPORTED"] = domTypes.globalIndicator,
	["IS_AMAZON"] = domTypes.globalIndicator,
	["IS_IOS"] = domTypes.globalIndicator,
	["IS_HOST"] = domTypes.globalIndicator,
	["IS_SOCIAL_LOGGED_IN"] = domTypes.globalIndicator,
	["IS_GOOGLE_PLUS_LOGGED_IN"] = domTypes.globalIndicator,
	["IS_FACEBOOK_LOGGED_IN"] = domTypes.globalIndicator,
	["IS_AUTHORIZED_TO_PUBLISH_TO_FACEBOOK"] = domTypes.globalIndicator,
	["SOCIAL_USER_INDEX"] = domTypes.globalIndicator,
	["FACEBOOK_SOCIAL_NETWORK"] = domTypes.globalIndicator,
	["GOOGLE_PLUS_SOCIAL_NETWORK"] = domTypes.globalIndicator,
	["HAS_WALLET"] = domTypes.globalIndicator,
	["SHOULD_UPDATE"] = domTypes.globalIndicator,
	["IS_LATEST_VERSION"] = domTypes.globalIndicator,
	["HAS_ACCELEROMETER"] = domTypes.globalIndicator,
	["TILT_X"] = domTypes.globalIndicator,
	["TILT_Y"] = domTypes.globalIndicator,
	["ACCELEROMETER_SENSITIVITY_X"] = domTypes.globalIndicator,
	["ACCELEROMETER_SENSITIVITY_Y"] = domTypes.globalIndicator,
	["DEVICE_FORCE_X"] = domTypes.globalIndicator,
	["DEVICE_FORCE_Y"] = domTypes.globalIndicator,
	["DEVICE_FORCE_Z"] = domTypes.globalIndicator,
	["DEVICE_ORIENTATION"] = domTypes.globalIndicator,
	["PI"] = domTypes.globalIndicator,
	["AD_URL"] = domTypes.globalIndicator,
	["AD_REQUESTED"] = domTypes.globalIndicator,
	["IS_PLAYSCAPE_INSTALLED"] = domTypes.globalIndicator,
	["IS_PLAYSCAPE_COMPATIBLE"] = domTypes.globalIndicator,
	["INTERSTITIAL_LOADED"] = domTypes.globalIndicator,
	["NO_INTERSTITIAL"] = domTypes.globalIndicator,
	["NON_OVERLAY_INTERSTITIAL"] = domTypes.globalIndicator,
	["OVERLAY_INTERSTITIAL"] = domTypes.globalIndicator,
	["BOTH_INTERSTITIALS"] = domTypes.globalIndicator,
	["MY_PROMOTION_URL"] = domTypes.globalIndicator,
	["MY_PROMOTION_ID"] = domTypes.globalIndicator,
	["_INTERNAL_LAST_RENDER_FPS"] = domTypes.globalIndicator,
	["_INTERNAL_LAST_LOGIC_FPS"] = domTypes.globalIndicator,
	["time"] = domTypes.globalVariable,
	["A0"] = domTypes.globalVariable,
	["R1"] = domTypes.globalVariable,
	["TRUE"] = domTypes.globalVariable,
	["FALSE"] = domTypes.globalVariable,
	["levelID"] = domTypes.globalVariable,
	["levelReached"] = domTypes.globalVariable,
	["bestScore"] = domTypes.globalVariable,
	["buttonsActive"] = domTypes.globalVariable,
	["level1Time"] = domTypes.globalVariable,
	["level2Time"] = domTypes.globalVariable,
	["level3Time"] = domTypes.globalVariable,
	["level4Time"] = domTypes.globalVariable,
	["level5Time"] = domTypes.globalVariable,
	["level6Time"] = domTypes.globalVariable,
	["level7Time"] = domTypes.globalVariable,
	["level8Time"] = domTypes.globalVariable,
	["level9Time"] = domTypes.globalVariable,
	["seconds"] = domTypes.globalVariable,
	["minutes"] = domTypes.globalVariable,
	["gamePaused"] = domTypes.globalVariable,
	["canOpenMenu"] = domTypes.globalVariable,
	["openMenu"] = domTypes.globalVariable,
	["showTutorial"] = domTypes.globalVariable,
	["lastLevel"] = domTypes.globalVariable,
	["level10Time"] = domTypes.globalVariable,
	["currentMenu"] = domTypes.globalVariable,
	["worldsOpen"] = domTypes.globalVariable,
	["totalSecondsForLevel"] = domTypes.globalVariable,
	["level1Stars"] = domTypes.globalVariable,
	["currentStarsForLevel"] = domTypes.globalVariable,
	["level2Stars"] = domTypes.globalVariable,
	["level3Stars"] = domTypes.globalVariable,
	["level4Stars"] = domTypes.globalVariable,
	["level5Stars"] = domTypes.globalVariable,
	["level6Stars"] = domTypes.globalVariable,
	["level7Stars"] = domTypes.globalVariable,
	["level8Stars"] = domTypes.globalVariable,
	["level9Stars"] = domTypes.globalVariable,
	["level10Stars"] = domTypes.globalVariable,
	["level11Stars"] = domTypes.globalVariable,
	["level12Stars"] = domTypes.globalVariable,
	["level13Stars"] = domTypes.globalVariable,
	["level14Stars"] = domTypes.globalVariable,
	["level15Stars"] = domTypes.globalVariable,
	["level16Stars"] = domTypes.globalVariable,
	["level17Stars"] = domTypes.globalVariable,
	["level18Stars"] = domTypes.globalVariable,
	["level19Stars"] = domTypes.globalVariable,
	["level20Stars"] = domTypes.globalVariable,
	["level21Stars"] = domTypes.globalVariable,
	["level22Stars"] = domTypes.globalVariable,
	["level23Stars"] = domTypes.globalVariable,
	["level24Stars"] = domTypes.globalVariable,
	["lvlStar25"] = domTypes.globalVariable,
	["minSecondsForLevel"] = domTypes.globalVariable,
	["minSecondsFor2Stars"] = domTypes.globalVariable,
	["fromMenu"] = domTypes.globalVariable,
	["currentWorld"] = domTypes.globalVariable,
	["level11Time"] = domTypes.globalVariable,
	["level12Time"] = domTypes.globalVariable,
	["level13Time"] = domTypes.globalVariable,
	["level14Time"] = domTypes.globalVariable,
	["level15Time"] = domTypes.globalVariable,
	["level16Time"] = domTypes.globalVariable,
	["level17Time"] = domTypes.globalVariable,
	["level18Time"] = domTypes.globalVariable,
	["level19Time"] = domTypes.globalVariable,
	["level20Time"] = domTypes.globalVariable,
	["level21Time"] = domTypes.globalVariable,
	["level22Time"] = domTypes.globalVariable,
	["level23Time"] = domTypes.globalVariable,
	["level24Time"] = domTypes.globalVariable,
	["StatusBarHeight"] = domTypes.globalVariable,
	["alreadyRated"] = domTypes.globalVariable,
	["Teleporting"] = domTypes.globalVariable,
	["LevelInWorld"] = domTypes.globalVariable,
	["_DEBUG"] = domTypes.globalVariable,
	["lvlTime25"] = domTypes.globalVariable,
	["lvlStar26"] = domTypes.globalVariable,
	["lvlStar27"] = domTypes.globalVariable,
	["lvlStar28"] = domTypes.globalVariable,
	["lvlStar29"] = domTypes.globalVariable,
	["lvlStar30"] = domTypes.globalVariable,
	["lvlStar31"] = domTypes.globalVariable,
	["lvlStar32"] = domTypes.globalVariable,
	["lvlStar33"] = domTypes.globalVariable,
	["lvlStar34"] = domTypes.globalVariable,
	["lvlStar35"] = domTypes.globalVariable,
	["lvlStar36"] = domTypes.globalVariable,
	["lvlStar37"] = domTypes.globalVariable,
	["lvlStar38"] = domTypes.globalVariable,
	["lvlStar39"] = domTypes.globalVariable,
	["lvlStar40"] = domTypes.globalVariable,
	["lvlStar41"] = domTypes.globalVariable,
	["lvlStar42"] = domTypes.globalVariable,
	["lvlStar43"] = domTypes.globalVariable,
	["lvlStar44"] = domTypes.globalVariable,
	["lvlStar45"] = domTypes.globalVariable,
	["lvlStar46"] = domTypes.globalVariable,
	["lvlStar47"] = domTypes.globalVariable,
	["lvlStar48"] = domTypes.globalVariable,
	["time25"] = domTypes.globalVariable,
	["time26"] = domTypes.globalVariable,
	["time27"] = domTypes.globalVariable,
	["time28"] = domTypes.globalVariable,
	["time29"] = domTypes.globalVariable,
	["time30"] = domTypes.globalVariable,
	["time31"] = domTypes.globalVariable,
	["time32"] = domTypes.globalVariable,
	["time33"] = domTypes.globalVariable,
	["time34"] = domTypes.globalVariable,
	["time35"] = domTypes.globalVariable,
	["time36"] = domTypes.globalVariable,
	["time37"] = domTypes.globalVariable,
	["time38"] = domTypes.globalVariable,
	["time39"] = domTypes.globalVariable,
	["time40"] = domTypes.globalVariable,
	["time41"] = domTypes.globalVariable,
	["time42"] = domTypes.globalVariable,
	["time43"] = domTypes.globalVariable,
	["time44"] = domTypes.globalVariable,
	["time45"] = domTypes.globalVariable,
	["time46"] = domTypes.globalVariable,
	["time47"] = domTypes.globalVariable,
	["time48"] = domTypes.globalVariable,
	["ShouldBounce"] = domTypes.globalVariable,
	["Sound"] = domTypes.globalVariable,
	["Potions"] = domTypes.globalVariable,
	["Hourglasses"] = domTypes.globalVariable,
	["Falmes"] = domTypes.globalVariable,
	["CoinsFactor"] = domTypes.globalVariable,
	["platformsCounter"] = domTypes.globalVariable,
	["lockJump"] = domTypes.globalVariable,
	["CanTeleport"] = domTypes.globalVariable,
	["isTimerPaused"] = domTypes.globalVariable,
	["isInGameMenuDisplayed"] = domTypes.globalVariable,
	["_COINS"] = domTypes.globalVariable,
	["_WALLET_RESULT"] = domTypes.globalVariable,
	["levelReach_LavaWorld"] = domTypes.globalVariable,
	["FlamesTutorialPlayed"] = domTypes.globalVariable,
	["PotionTutorialPlayed"] = domTypes.globalVariable,
	["HourglassTutorialPlayed"] = domTypes.globalVariable,
	["_TEMPCOIN"] = domTypes.globalVariable,
	["BrokePlatformCounter"] = domTypes.globalVariable,
	["isFairPlay"] = domTypes.globalVariable,
	["firstTwin"] = domTypes.globalVariable,
	["secondTwin"] = domTypes.globalVariable,
	["firstLevelInARow"] = domTypes.globalVariable,
	["lastLevelInARow"] = domTypes.globalVariable,
	["playsCnt"] = domTypes.globalVariable,
	["endGameCnt"] = domTypes.globalVariable,
	["lvl_closed_by_coin_6"] = domTypes.globalVariable,
	["lvl_closed_by_coin_12"] = domTypes.globalVariable,
	["lvl_closed_by_coin_18"] = domTypes.globalVariable,
	["lvl_closed_by_coin_24"] = domTypes.globalVariable,
	["show_in_game_coins"] = domTypes.globalVariable,
	["display_ads"] = domTypes.globalVariable,
	["badge_displayed"] = domTypes.globalVariable,
	["IS_IOS_1"] = domTypes.globalVariable,
	["NO_ADS"] = domTypes.globalVariable,
	["NEW_GAME_LAUNCH"] = domTypes.globalVariable,
	["PSGamesService"] = domTypes.globalVariable,
	["PSServiceState"] = domTypes.globalVariable,
	["tmp_pr_x"] = domTypes.globalVariable,
	["tmp_pr_y"] = domTypes.globalVariable,
	["show_service_dlg"] = domTypes.globalVariable,
	["PROMOTION_REMINDER_DATE"] = domTypes.globalVariable,
	["first_game_launch"] = domTypes.globalVariable,
	["SHOW_REMINDER"] = domTypes.globalVariable,
	["PROMOTION_DAYS_TO_REMINDER"] = domTypes.globalVariable,
	["first_time_unsubscribed"] = domTypes.globalVariable,
	["PSInstallationDate"] = domTypes.globalVariable,
	["interstitials_interval"] = domTypes.globalVariable,
	["interstitial_last_shown"] = domTypes.globalVariable,
	["sessions_counter"] = domTypes.globalVariable,
	["interstitials_interval_internal"] = domTypes.globalVariable,
	["temp_global"] = domTypes.globalVariable,
	["max_connection_time"] = domTypes.globalVariable,
	["interstitial_probability"] = domTypes.globalVariable,
	["dbg_progress_76463542487874"] = domTypes.globalVariable,
	["interstitial_time_cap"] = domTypes.globalVariable,
	["last_commercial_hour"] = domTypes.globalVariable,
	["last_commercial_sec"] = domTypes.globalVariable
}
local idToTypesTable = {
	[33] = "platforms",
	[32] = "player",
	[97] = "cloudCap",
	[98] = "worldBoxCap",
	[99] = "levelObjectsCap",
	[100] = "Crumble",
	[30] = "levelManager",
	[20] = "ShopButton",
	[101] = "ShopItem",
	[102] = "GetItButton",
	[21] = "GenericButton",
	[42] = "PowerUpButton",
	[48] = "Tutorial_Level2",
	[54] = "tutorial_cap",
	[28] = "destroy_if_running_on_IOS",
	[57] = "FlamesTutorial",
	[60] = "PotionTutorial",
	[55] = "HourglassTutorial",
	[59] = "CoolStuffTutorial",
	[62] = "Tutorial_Button",
	[38] = "BagesHandler",
	[16] = "ShopManager",
	[74] = "LavaBGController",
	[95] = "Level24",
	[31] = "tutorial",
	[12] = "cloudsCtrl",
	[40] = "pl_left",
	[39] = "pl_nom",
	[61] = "pl_up",
	[37] = "pl_end",
	[64] = "platformBtnBase",
	[63] = "ovladatelny",
	[66] = "directionPlatform",
	[71] = "wall1",
	[47] = "button",
	[11] = "Menu",
	[108] = "menuHeadline",
	[109] = "menuTurtle",
	[13] = "levelSelection",
	[110] = "newGameButton",
	[111] = "levelSelectionHeadline",
	[112] = "menuHills",
	[113] = "levelObject",
	[114] = "soundMng",
	[67] = "gameBghills",
	[52] = "levelDisplay",
	[50] = "inGameMenuBtn",
	[115] = "platformBtntop",
	[116] = "LevelBestTime",
	[117] = "levelObjectHB",
	[118] = "LevelsBtn",
	[119] = "cloud1",
	[120] = "cloud3",
	[121] = "nextLevelBtn",
	[122] = "cloud5",
	[123] = "cloud2",
	[124] = "levelCompletedTitle",
	[125] = "displayLevelTime",
	[126] = "cloud4",
	[51] = "gameTimer",
	[35] = "turtleHitbox",
	[127] = "wallTile",
	[128] = "dialogBox",
	[129] = "shopBtn",
	[130] = "resumeBtn",
	[131] = "tapToJump",
	[132] = "objectiveMsg",
	[133] = "objectiveArrow",
	[134] = "tryThis",
	[135] = "backBtn",
	[36] = "parachute",
	[136] = "yesButton",
	[137] = "noButton",
	[138] = "replayLevelBtn",
	[139] = "levelsBtn1",
	[140] = "totalTimeSign",
	[141] = "comingSoon",
	[142] = "worldBox",
	[143] = "levelFailedTitle",
	[144] = "timesUp",
	[145] = "bestTimeMsg",
	[146] = "congrats",
	[147] = "winGameText",
	[148] = "warningMsg",
	[69] = "gameRoomExtraHill",
	[149] = "backToLevels",
	[150] = "rateUsDialog",
	[151] = "rateItBtn",
	[152] = "noThanksBtn",
	[153] = "rateUsText",
	[154] = "rateUsStar",
	[155] = "likeThisGame",
	[156] = "billOnDialog",
	[49] = "pl_crumbling",
	[157] = "crack_Left",
	[158] = "starOnLevel",
	[72] = "Camera23",
	[75] = "Teleport",
	[79] = "plat_Lava",
	[159] = "Crumble3",
	[160] = "levelCompleteStar",
	[56] = "Circle",
	[34] = "TeleFlame",
	[162] = "CloudLava1",
	[163] = "CloudLava2",
	[164] = "CloudLava3",
	[87] = "MiddleRock",
	[83] = "HaveFaith",
	[84] = "EverDreamt",
	[166] = "LevelsLaval",
	[89] = "Bouncer",
	[167] = "teleportCamera",
	[168] = "TeleBill",
	[169] = "BounceRightHitBox",
	[81] = "Rocks",
	[170] = "exitBtn",
	[171] = "exitGameBtn",
	[90] = "jelly_45",
	[94] = "mud_drops",
	[85] = "left_rock",
	[86] = "right_rock",
	[68] = "pl_nom_s",
	[70] = "triangle",
	[92] = "UseYourHead",
	[91] = "UseParachute",
	[96] = "ICant",
	[73] = "Circle_s",
	[173] = "StandardCamera",
	[174] = "Crumble1",
	[175] = "promo_icon",
	[176] = "Crumble2",
	[177] = "crack_Right",
	[53] = "Glide",
	[78] = "plat_Lava_1",
	[179] = "SoundButton",
	[17] = "TopBar",
	[18] = "CoinTopBar",
	[25] = "RightArrow",
	[27] = "GetMoreCoinsButton",
	[180] = "BigShopButton",
	[181] = "BigBackGround",
	[182] = "LavaWorldItem",
	[183] = "CoinBox",
	[22] = "Back",
	[184] = "SmallBox",
	[185] = "SmallShopGetIt",
	[186] = "FireIcon",
	[187] = "PotionIcon",
	[188] = "NotEnoughMoneyDialogue",
	[189] = "HourglassIcon",
	[23] = "ShopHeader",
	[41] = "FireButton",
	[43] = "PowerUpCounter",
	[190] = "PotionAnimation",
	[191] = "TimerLock",
	[192] = "CoinsBox",
	[193] = "CoinEarnedIcon",
	[26] = "StoreSound",
	[44] = "PotionButton",
	[45] = "HourglassButton",
	[24] = "Description",
	[76] = "plat_Lava_2",
	[77] = "plat_Lava_1_1",
	[65] = "TouchTheSun",
	[194] = "Shop",
	[29] = "Playscape_logo",
	[195] = "playscape_popup",
	[80] = "Magic",
	[82] = "Tricky",
	[196] = "BounceLeftHitBox",
	[93] = "plat_Mud",
	[197] = "coin_lvl_icon",
	[88] = "left_rock_small",
	[199] = "moreGameButton",
	[58] = "coin_in_game",
	[200] = "coin_pick_up",
	[201] = "flower",
	[202] = "menuMountains",
	[203] = "sun_light",
	[204] = "settings_button",
	[205] = "settings_dlg_box",
	[206] = "next_levels_sign",
	[208] = "promotion",
	[209] = "promo_no",
	[211] = "dialog_win",
	[212] = "missionsGameButton",
	[213] = "shopGameButton",
	[19] = "LeftArrow",
	[216] = "wallet",
	[217] = "FlamesText",
	[218] = "promotion_big_ok_button",
	[219] = "promotion_launch_main_text",
	[220] = "promotion_launch_second_text",
	[221] = "settings_switch_button",
	[222] = "settings_switch_text",
	[223] = "setting_bar",
	[224] = "settings_title",
	[225] = "settings_return_button",
	[227] = "HourglassText",
	[228] = "Potion",
	[229] = "CoolStuff",
	[14] = "PromotionPromotion",
	[230] = "PromotionGenericButton",
	[231] = "PromotionBasicDialogue",
	[232] = "PromotionDownloadPlayScapeCoinsText",
	[233] = "PromotionInstallButton",
	[234] = "PromotionCancel",
	[235] = "PromotionPlayScapeWhoButton",
	[236] = "Playscape_but",
	[237] = "menuBtn",
	[46] = "restart_in_room",
	[238] = "noThanksPopupButton",
	[239] = "big_dialog_bg",
	[240] = "dialogBox_Lvl_coins",
	[241] = "yesButton_lvl_coins",
	[242] = "noButton_lvl_coins",
	[15] = "promotion_dlg_controller",
	[243] = "touch_shield",
	[244] = "promotion_characters",
	[248] = "promotion_approve_text",
	[249] = "promotion_reminder_main_text",
	[250] = "promotion_check_box",
	[251] = "promotion_ok_button",
	[252] = "promotion_dlg",
	[4] = "master_46346",
	[5] = "mominis_internal_placeholder_xprompt_promo",
	[6] = "sync_master_4645645",
	[8] = "loading_bar_bg_354463462352",
	[253] = "loading_bar_fill_354298787643",
	[7] = "black_rect_345345464563",
	[9] = "playscape_logo_353453456",
	[254] = "promotion_bg_876545323",
	[3] = "bg_43534535543",
	[255] = "playscape_logo_plus_353453456",
	[256] = "ball",
	[10] = "balls_master",
	[257] = "easing_cap",
	[1] = "progressBar_563fa69400b64771a702b67525279e8a",
	[2] = "levelToLoad_763435221",
	[259] = "mominis_internal_placeholder_xprompt_promo_1",
	[260] = "loading_bar_bg_8746535662",
	[261] = "black_rect_435634634",
	[262] = "playscape_logo_8765824ghj24248",
	[263] = "loading_bar_fill_86852564",
	[264] = "playscape_logo_plus_kjhg76854345",
	[266] = "part",
	[267] = "badge_028fdde5fde942f0b8eb273b1b8c9820",
	[268] = "text",
	[269] = "text_cover",
	[270] = "frame_bg",
	[271] = "icon_bg",
	[272] = "icon_cover",
	[273] = "frame_bg_fade"
}
local paramsTable = {
	["DEBUG"] = false,
	["MIN_NUMBER"] = -745654,
	["MAX_NUMBER"] = 745654,
	["INSTRUMENTATION"] = false
}
return{
	domTree,
	domTypes,
	globalsTable,
	idToTypesTable,
	paramsTable
}
